-- Table: public.data

DROP TABLE IF EXISTS public.data;

CREATE TABLE IF NOT EXISTS public.data
(
    id bigint NOT NULL GENERATED BY DEFAULT AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 9223372036854775807 CACHE 1 ),
    name character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    data_type character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    file_type character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    object_type character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    object_subtype character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    batch_num character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    scene character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    data_source character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    gather_time timestamp without time zone,
    gather_spot character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    url character varying(225) COLLATE pg_catalog."default",
    labelUrl character varying(225) COLLATE pg_catalog."default",
    increment character varying(225) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    labeled boolean DEFAULT false,
    CONSTRAINT data_pkey PRIMARY KEY (id)
    )

    TABLESPACE pg_default;



COMMENT ON TABLE public.data
    IS '数据管理表';

COMMENT ON COLUMN public.data.id
    IS 'id';

COMMENT ON COLUMN public.data.name
    IS '名称';

COMMENT ON COLUMN public.data.data_type
    IS '数据类型';

COMMENT ON COLUMN public.data.file_type
    IS '文件类型';

COMMENT ON COLUMN public.data.object_type
    IS '目标类型';

COMMENT ON COLUMN public.data.object_subtype
    IS '目标子类型';

COMMENT ON COLUMN public.data.batch_num
    IS '批次号';

COMMENT ON COLUMN public.data.scene
    IS '场景';

COMMENT ON COLUMN public.data.data_source
    IS '数据源';

COMMENT ON COLUMN public.data.gather_time
    IS '采集时间';

COMMENT ON COLUMN public.data.gather_spot
    IS '采集地点';

COMMENT ON COLUMN public.data.url
    IS '图片url';

COMMENT ON COLUMN public.data.labelUrl
    IS '标注url';

COMMENT ON COLUMN public.data.increment
    IS '扩增方式';

COMMENT ON COLUMN public.data.labeled
    IS '是否标注';

-- 菜单 SQL
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2002, '数据管理查询', 2001, 1, NULL, '', NULL, NULL, '1', '0', 'F', '0', '0', 'demo:data:query', NULL, 0, 1, '2024-04-22 17:21:27.187713', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2003, '数据管理新增', 2001, 2, NULL, '', NULL, NULL, '1', '0', 'F', '0', '0', 'demo:data:add', NULL, 0, 1, '2024-04-22 17:21:27.187713', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2004, '数据管理修改', 2001, 3, NULL, '', NULL, NULL, '1', '0', 'F', '0', '0', 'demo:data:edit', NULL, 0, 1, '2024-04-22 17:21:27.187713', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2005, '数据管理删除', 2001, 4, NULL, '', NULL, NULL, '1', '0', 'F', '0', '0', 'demo:data:remove', NULL, 0, 1, '2024-04-22 17:21:27.187713', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2006, '数据管理导出', 2001, 5, NULL, '', NULL, NULL, '1', '0', 'F', '0', '0', 'demo:data:export', NULL, 0, 1, '2024-04-22 17:21:27.187713', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2001, '数据管理', 2, 1, '/demo/data', 'demo/data/index', '数据管理', NULL, '1', '0', 'C', '0', '0', 'demo:data:list', NULL, 6, 1, '2024-04-22 17:21:27.187713', 1, '2024-04-23 20:38:36.673', '数据管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) VALUES (2, '数据管理', 0, 2, 'data', NULL, NULL, NULL, '1', '0', 'M', '0', '0', NULL, 'data', 0, 1, NULL, 1, NULL, '数据管理目录');

-- 算法配置表
DROP TABLE IF EXISTS public.algorithm_config;

CREATE TABLE "public"."algorithm_config" (
 "id" "pg_catalog"."int8" NOT NULL,
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "parent_id" "pg_catalog"."int8",
 "subsystem" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "algorithm_name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "algorithm_address" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "parameter_config" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_config_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_config"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_config"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_config"."type" IS '类型';

COMMENT ON COLUMN "public"."algorithm_config"."parent_id" IS '父id';

COMMENT ON COLUMN "public"."algorithm_config"."subsystem" IS '分系统';

COMMENT ON COLUMN "public"."algorithm_config"."algorithm_name" IS '算法名称';

COMMENT ON COLUMN "public"."algorithm_config"."algorithm_address" IS '算法地址';

COMMENT ON COLUMN "public"."algorithm_config"."parameter_config" IS '参数配置';

COMMENT ON COLUMN public.algorithm_config.version IS '乐观锁';

COMMENT ON COLUMN public.algorithm_config.tenant_id IS '租户编码';

COMMENT ON COLUMN public.algorithm_config.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_config"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_config"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_config"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_config"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_config"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_config"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_config" IS '算法配置表';



-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402600, '算法配置', 152584418900430848, '1', 'config', 'ag/config/index', 1, 0, 'C', '0', '0', 'ag:config:list', '', 1, now(), 1, null, '算法配置菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402601, '算法配置查询', 2024052717402600, '1',  '', '', 1, 0, 'F', '0', '0', 'ag:config:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402602, '算法配置新增', 2024052717402600, '2',  '', '', 1, 0, 'F', '0', '0', 'ag:config:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402603, '算法配置修改', 2024052717402600, '3',  '', '', 1, 0, 'F', '0', '0', 'ag:config:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402604, '算法配置删除', 2024052717402600, '4',  '', '', 1, 0, 'F', '0', '0', 'ag:config:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052717402605, '算法配置导出', 2024052717402600, '5',  '', '', 1, 0, 'F', '0', '0', 'ag:config:export',       '', 1, now(), 1, null, '');

-- 算法模型表
DROP TABLE IF EXISTS public.algorithm_model;

CREATE TABLE "public"."algorithm_model" (
 "id" "pg_catalog"."int8" NOT NULL,
 "algorithm_id" "pg_catalog"."int8" NOT NULL,
 "model_name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "model_address" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "sample_number" "pg_catalog"."int8",
 "cycle_epoch" "pg_catalog"."int8",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_model_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_model"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_model"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_model"."algorithm_id" IS '算法';

COMMENT ON COLUMN "public"."algorithm_model"."model_name" IS '模型名称';

COMMENT ON COLUMN "public"."algorithm_model"."model_address" IS '模型';

COMMENT ON COLUMN "public"."algorithm_model"."sample_number" IS '训练样本数';

COMMENT ON COLUMN "public"."algorithm_model"."cycle_epoch" IS '训练循环次数';

COMMENT ON COLUMN "public"."algorithm_model"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_model"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_model"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_model"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_model"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_model"."system" IS '系统';

COMMENT ON COLUMN "public"."algorithm_model"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_model"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_model"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON TABLE "public"."algorithm_model" IS '算法模型配置表';


-- 算法任务表
DROP TABLE IF EXISTS public.algorithm_task;

CREATE TABLE "public"."algorithm_task" (
 "id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT 0 NOT NULL,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_task_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_task"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_task"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_task"."name" IS '任务名称';

COMMENT ON COLUMN "public"."algorithm_task"."status" IS '任务状态';

COMMENT ON COLUMN "public"."algorithm_task"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."algorithm_task"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."algorithm_task"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."algorithm_task"."log" IS '日志';

COMMENT ON COLUMN "public"."algorithm_task"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_task"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_task"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_task"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_task"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_task"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_task"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_task"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_task"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_task" IS '算法任务表';


-- 算法子任务表
DROP TABLE IF EXISTS public.algorithm_subtask;

CREATE TABLE "public"."algorithm_subtask" (
 "id" "pg_catalog"."int8" NOT NULL,
 "task_id" "pg_catalog"."int8",
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" NOT NULL,
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default" NOT NULL,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "index" "pg_catalog"."int8" DEFAULT 0,
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_subtask_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_subtask"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_subtask"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_subtask"."task_id" IS '任务ID';

COMMENT ON COLUMN "public"."algorithm_subtask"."name" IS '任务名称';

COMMENT ON COLUMN "public"."algorithm_subtask"."type" IS '任务类型';

COMMENT ON COLUMN "public"."algorithm_subtask"."status" IS '任务状态';

COMMENT ON COLUMN "public"."algorithm_subtask"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."algorithm_subtask"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."algorithm_subtask"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."algorithm_subtask"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."algorithm_subtask"."log" IS '日志';

COMMENT ON COLUMN "public"."algorithm_subtask"."index" IS '序号';

COMMENT ON COLUMN "public"."algorithm_subtask"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_subtask"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_subtask"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_subtask"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_subtask"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_subtask"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_subtask"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_subtask"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_subtask"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_subtask" IS '算法子任务表';

-- 算法业务处理表
DROP TABLE IF EXISTS public.algorithm_biz_process;

CREATE TABLE "public"."algorithm_biz_process" (
 "id" "pg_catalog"."int8" NOT NULL,
 "sub_task_id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "algorithm_id" "pg_catalog"."int8",
 "model_id" "pg_catalog"."int8",
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "preprocess_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "result_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "index" "pg_catalog"."int8" DEFAULT 0,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_biz_process_pkey" PRIMARY KEY ("id")
);


ALTER TABLE "public"."algorithm_biz_process"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_biz_process"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_biz_process"."sub_task_id" IS '子任务id';

COMMENT ON COLUMN "public"."algorithm_biz_process"."name" IS '任务名称';

COMMENT ON COLUMN "public"."algorithm_biz_process"."type" IS '任务类型';

COMMENT ON COLUMN "public"."algorithm_biz_process"."status" IS '任务状态';

COMMENT ON COLUMN "public"."algorithm_biz_process"."algorithm_id" IS '算法';

COMMENT ON COLUMN "public"."algorithm_biz_process"."model_id" IS '模型';

COMMENT ON COLUMN "public"."algorithm_biz_process"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."algorithm_biz_process"."preprocess_path" IS '预处理数据路径';

COMMENT ON COLUMN "public"."algorithm_biz_process"."result_path" IS '结果数据路径';

COMMENT ON COLUMN "public"."algorithm_biz_process"."index" IS '序号';

COMMENT ON COLUMN "public"."algorithm_biz_process"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."algorithm_biz_process"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."algorithm_biz_process"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."algorithm_biz_process"."log" IS '日志';

COMMENT ON COLUMN "public"."algorithm_biz_process"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_biz_process"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_biz_process"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_biz_process"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_biz_process"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_biz_process"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_biz_process"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_biz_process"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_biz_process"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_biz_process" IS '算法业务处理表';


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210100, '算法模型配置', 152584418900430848, '1', 'model', 'ag/model/index', 1, 0, 'C', '0', '0', 'ag:model:list', '', 1, now(), 1, null, '算法模型配置菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210001, '算法模型配置查询', 2024052914210100, '1',  '', '', 1, 0, 'F', '0', '0', 'ag:model:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210002, '算法模型配置新增', 2024052914210100, '2',  '', '', 1, 0, 'F', '0', '0', 'ag:model:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210003, '算法模型配置修改', 2024052914210100, '3',  '', '', 1, 0, 'F', '0', '0', 'ag:model:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210004, '算法模型配置删除', 2024052914210100, '4',  '', '', 1, 0, 'F', '0', '0', 'ag:model:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210005, '算法模型配置导出', 2024052914210100, '5',  '', '', 1, 0, 'F', '0', '0', 'ag:model:export',       '', 1, now(), 1, null, '');


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210200, '算法任务', 153308760386924544, '1', 'task', 'task/task/index', 1, 0, 'C', '0', '0', 'task:task:list', '', 1, now(), 1, null, '算法任务菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210101, '算法任务查询', 2024052914210200, '1',  '', '', 1, 0, 'F', '0', '0', 'task:task:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210102, '算法任务新增', 2024052914210200, '2',  '', '', 1, 0, 'F', '0', '0', 'task:task:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210103, '算法任务修改', 2024052914210200, '3',  '', '', 1, 0, 'F', '0', '0', 'task:task:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210104, '算法任务删除', 2024052914210200, '4',  '', '', 1, 0, 'F', '0', '0', 'task:task:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210105, '算法任务导出', 2024052914210200, '5',  '', '', 1, 0, 'F', '0', '0', 'task:task:export',       '', 1, now(), 1, null, '');


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210300, '算法子任务', 153308760386924544, '1', 'subtask', 'task/subtask/index', 1, 0, 'C', '0', '0', 'task:subtask:list', '', 1, now(), 1, null, '算法子任务菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210201, '算法子任务查询', 2024052914210300, '1',  '', '', 1, 0, 'F', '0', '0', 'task:subtask:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210202, '算法子任务新增', 2024052914210300, '2',  '', '', 1, 0, 'F', '0', '0', 'task:subtask:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210203, '算法子任务修改', 2024052914210300, '3',  '', '', 1, 0, 'F', '0', '0', 'task:subtask:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210204, '算法子任务删除', 2024052914210300, '4',  '', '', 1, 0, 'F', '0', '0', 'task:subtask:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210205, '算法子任务导出', 2024052914210300, '5',  '', '', 1, 0, 'F', '0', '0', 'task:subtask:export',       '', 1, now(), 1, null, '');


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210400, '算法子任务详情', 153308760386924544, '1', 'subtaskDetail', 'task/subtaskDetail/index', 1, 0, 'C', '0', '0', 'task:subtaskDetail:list', '', 1, now(), 1, null, '算法子任务详情菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210301, '算法子任务详情查询', 2024052914210400, '1',  '', '', 1, 0, 'F', '0', '0', 'task:subtaskDetail:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210302, '算法子任务详情新增', 2024052914210400, '2',  '', '', 1, 0, 'F', '0', '0', 'task:subtaskDetail:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210303, '算法子任务详情修改', 2024052914210400, '3',  '', '', 1, 0, 'F', '0', '0', 'task:subtaskDetail:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210304, '算法子任务详情删除', 2024052914210400, '4',  '', '', 1, 0, 'F', '0', '0', 'task:subtaskDetail:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024052914210305, '算法子任务详情导出', 2024052914210400, '5',  '', '', 1, 0, 'F', '0', '0', 'task:subtaskDetail:export',       '', 1, now(), 1, null, '');


-- 2024/6/11 添加

-- 算法数据集合表
DROP TABLE IF EXISTS public.algorithm_data_set;

CREATE TABLE "public"."algorithm_data_set" (
 "id" "pg_catalog"."int8" NOT NULL,
 "sub_task_id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "result_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "index" "pg_catalog"."int8" DEFAULT 0,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_data_set_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_data_set"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_data_set"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_data_set"."sub_task_id" IS '子任务id';

COMMENT ON COLUMN "public"."algorithm_data_set"."name" IS '任务名称';

COMMENT ON COLUMN "public"."algorithm_data_set"."type" IS '任务类型';

COMMENT ON COLUMN "public"."algorithm_data_set"."status" IS '任务状态';

COMMENT ON COLUMN "public"."algorithm_data_set"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."algorithm_data_set"."result_path" IS '结果数据路径';

COMMENT ON COLUMN "public"."algorithm_data_set"."index" IS '序号';

COMMENT ON COLUMN "public"."algorithm_data_set"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."algorithm_data_set"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."algorithm_data_set"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."algorithm_data_set"."log" IS '日志';

COMMENT ON COLUMN "public"."algorithm_data_set"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_data_set"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_data_set"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_data_set"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_data_set"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_data_set"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_data_set"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_data_set"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_data_set"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_data_set" IS '算法数据集合表';


-- 算法数据处理表
DROP TABLE IF EXISTS public.algorithm_data_process;

CREATE TABLE "public"."algorithm_data_process" (
 "id" "pg_catalog"."int8" NOT NULL,
 "sub_task_id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "algorithm_id" "pg_catalog"."int8",
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "preprocess_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "result_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "index" "pg_catalog"."int8" DEFAULT 0,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "algorithm_data_process_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."algorithm_data_process"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_data_process"."id" IS '主键ID';

COMMENT ON COLUMN "public"."algorithm_data_process"."sub_task_id" IS '子任务id';

COMMENT ON COLUMN "public"."algorithm_data_process"."name" IS '任务名称';

COMMENT ON COLUMN "public"."algorithm_data_process"."type" IS '任务类型';

COMMENT ON COLUMN "public"."algorithm_data_process"."status" IS '任务状态';

COMMENT ON COLUMN "public"."algorithm_data_process"."algorithm_id" IS '算法';

COMMENT ON COLUMN "public"."algorithm_data_process"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."algorithm_data_process"."preprocess_path" IS '预处理数据路径';

COMMENT ON COLUMN "public"."algorithm_data_process"."result_path" IS '结果数据路径';

COMMENT ON COLUMN "public"."algorithm_data_process"."index" IS '序号';

COMMENT ON COLUMN "public"."algorithm_data_process"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."algorithm_data_process"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."algorithm_data_process"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."algorithm_data_process"."log" IS '日志';

COMMENT ON COLUMN "public"."algorithm_data_process"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."algorithm_data_process"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."algorithm_data_process"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."algorithm_data_process"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."algorithm_data_process"."remarks" IS '备注';

COMMENT ON COLUMN "public"."algorithm_data_process"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."algorithm_data_process"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."algorithm_data_process"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON COLUMN "public"."algorithm_data_process"."system" IS '系统';

COMMENT ON TABLE "public"."algorithm_data_process" IS '算法数据处理表';


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343900, '算法业务处理', 153308760386924544, '1', 'bizProcess', 'task/bizProcess/index', 1, 0, 'C', '0', '0', 'task:bizProcess:list', '', 1, now(), 1, null, '算法业务处理菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343901, '算法业务处理查询', 2024061115343900, '1',  '', '', 1, 0, 'F', '0', '0', 'task:bizProcess:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343902, '算法业务处理新增', 2024061115343900, '2',  '', '', 1, 0, 'F', '0', '0', 'task:bizProcess:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343903, '算法业务处理修改', 2024061115343900, '3',  '', '', 1, 0, 'F', '0', '0', 'task:bizProcess:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343904, '算法业务处理删除', 2024061115343900, '4',  '', '', 1, 0, 'F', '0', '0', 'task:bizProcess:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115343905, '算法业务处理导出', 2024061115343900, '5',  '', '', 1, 0, 'F', '0', '0', 'task:bizProcess:export',       '', 1, now(), 1, null, '');


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344000, '算法数据处理', 153308760386924544, '1', 'dataProcess', 'task/dataProcess/index', 1, 0, 'C', '0', '0', 'task:dataProcess:list', '', 1, now(), 1, null, '算法数据处理菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344001, '算法数据处理查询', 2024061115344000, '1',  '', '', 1, 0, 'F', '0', '0', 'task:dataProcess:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344002, '算法数据处理新增', 2024061115344000, '2',  '', '', 1, 0, 'F', '0', '0', 'task:dataProcess:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344003, '算法数据处理修改', 2024061115344000, '3',  '', '', 1, 0, 'F', '0', '0', 'task:dataProcess:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344004, '算法数据处理删除', 2024061115344000, '4',  '', '', 1, 0, 'F', '0', '0', 'task:dataProcess:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344005, '算法数据处理导出', 2024061115344000, '5',  '', '', 1, 0, 'F', '0', '0', 'task:dataProcess:export',       '', 1, now(), 1, null, '');


-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344100, '算法数据集合', 153308760386924544, '1', 'dataSet', 'task/dataSet/index', 1, 0, 'C', '0', '0', 'task:dataSet:list', '', 1, now(), 1, null, '算法数据集合菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344101, '算法数据集合查询', 2024061115344100, '1',  '', '', 1, 0, 'F', '0', '0', 'task:dataSet:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344102, '算法数据集合新增', 2024061115344100, '2',  '', '', 1, 0, 'F', '0', '0', 'task:dataSet:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344103, '算法数据集合修改', 2024061115344100, '3',  '', '', 1, 0, 'F', '0', '0', 'task:dataSet:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344104, '算法数据集合删除', 2024061115344100, '4',  '', '', 1, 0, 'F', '0', '0', 'task:dataSet:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024061115344105, '算法数据集合导出', 2024061115344100, '5',  '', '', 1, 0, 'F', '0', '0', 'task:dataSet:export',       '', 1, now(), 1, null, '');

-- 20240817更新
-- @author sukang
-- 训练测试任务配置表
DROP TABLE IF EXISTS public.algorithm_task_configuration;
CREATE TABLE "public"."algorithm_task_configuration" (
 id BIGINT PRIMARY KEY,
 name VARCHAR(255) NOT NULL,
 train_url VARCHAR(255),
 train_params TEXT,
 verify_url VARCHAR(255),
 verify_params TEXT,
 test_url VARCHAR(255),
 test_params TEXT,
 remark VARCHAR(400),
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 CONSTRAINT "algorithm_task_configuration_pkey" PRIMARY KEY ("id")
);
ALTER TABLE "public"."algorithm_task_configuration"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."algorithm_task_configuration" IS '训练测试任务配置表';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."id" IS '主键ID';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."name" IS '算法任务名称';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."train_url" IS '训练算法地址';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."train_params" IS '训练超参配置';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."verify_url" IS '验证算法地址';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."verify_params" IS '验证超参配置';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."test_url" IS '测试算法地址';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."test_params" IS '测试超参配置';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."remark" IS '备注';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."algorithm_task_configuration"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223600, '算法任务配置', 152584418900430848, '1', '/config/taskConfiguration', 'task/taskConfiguration/index', 1, 0, 'C', '0', '0', 'task:taskConfiguration:list', '', 1, now(), 1, null, '算法任务菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223601, '算法任务查询', 2024082310223600, '1',  '', '', 1, 0, 'F', '0', '0', 'task:taskConfiguration:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223602, '算法任务新增', 2024082310223600, '2',  '', '', 1, 0, 'F', '0', '0', 'task:taskConfiguration:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223603, '算法任务修改', 2024082310223600, '3',  '', '', 1, 0, 'F', '0', '0', 'task:taskConfiguration:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223604, '算法任务删除', 2024082310223600, '4',  '', '', 1, 0, 'F', '0', '0', 'task:taskConfiguration:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024082310223605, '算法任务导出', 2024082310223600, '5',  '', '', 1, 0, 'F', '0', '0', 'task:taskConfiguration:export',       '', 1, now(), 1, null, '');

DROP TABLE IF EXISTS public.target_identification_task;

CREATE TABLE "public"."target_identification_task" (
 "id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 "system" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 CONSTRAINT "target_identification_task_pk" PRIMARY KEY ("id")
);

ALTER TABLE "public"."target_identification_task"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."target_identification_task"."id" IS '主键ID';

COMMENT ON COLUMN "public"."target_identification_task"."name" IS '任务名称';

COMMENT ON COLUMN "public"."target_identification_task"."status" IS '任务状态';

COMMENT ON COLUMN "public"."target_identification_task"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."target_identification_task"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."target_identification_task"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."target_identification_task"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."target_identification_task"."remarks" IS '备注';

COMMENT ON COLUMN "public"."target_identification_task"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."target_identification_task"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."target_identification_task"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON TABLE "public"."target_identification_task" IS '目标识别任务';

DROP TABLE IF EXISTS public.target_identification_subtask;

CREATE TABLE "public"."target_identification_subtask" (
 "id" "pg_catalog"."int8" NOT NULL,
 "task_id" "pg_catalog"."int8",
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 CONSTRAINT "target_identification_subtask_pk" PRIMARY KEY ("id")
);

ALTER TABLE "public"."target_identification_subtask"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."target_identification_subtask"."id" IS '主键ID';

COMMENT ON COLUMN "public"."target_identification_subtask"."task_id" IS '任务ID';

COMMENT ON COLUMN "public"."target_identification_subtask"."name" IS '任务名称';

COMMENT ON COLUMN "public"."target_identification_subtask"."status" IS '任务状态';

COMMENT ON COLUMN "public"."target_identification_subtask"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."target_identification_subtask"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."target_identification_subtask"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."target_identification_subtask"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."target_identification_subtask"."remarks" IS '备注';

COMMENT ON COLUMN "public"."target_identification_subtask"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."target_identification_subtask"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."target_identification_subtask"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON TABLE "public"."target_identification_subtask" IS '目标识别子任务';

DROP TABLE IF EXISTS public.target_identification_subtask_details;

CREATE TABLE "public"."target_identification_subtask_details" (
 "id" "pg_catalog"."int8" NOT NULL,
 "subtask_id" "pg_catalog"."int8",
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "algorithm_id" "pg_catalog"."int8",
 "data_batch_nums" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "preprocess_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "result_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "index" "pg_catalog"."int8" DEFAULT 0,
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 CONSTRAINT "target_identification_subtask_details_pk" PRIMARY KEY ("id")
);

ALTER TABLE "public"."target_identification_subtask_details"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."target_identification_subtask_details"."id" IS '主键ID';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."subtask_id" IS '子任务id';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."name" IS '任务名称';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."status" IS '任务状态';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."type" IS '任务类型（1训练，2验证，3测试）';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."algorithm_id" IS '算法';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."data_batch_nums" IS '数据批次号';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."preprocess_path" IS '预处理数据路径';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."result_path" IS '结果数据路径';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."index" IS '序号';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."remarks" IS '备注';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."target_identification_subtask_details"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON TABLE "public"."target_identification_subtask_details" IS '目标识别子任务详情';

DROP TABLE IF EXISTS public.data_amplification_task;

CREATE TABLE "public"."data_amplification_task" (
 "id" "pg_catalog"."int8" NOT NULL,
 "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "data_batch_nums" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
 "parameters" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "start_time" "pg_catalog"."timestamp",
 "end_time" "pg_catalog"."timestamp",
 "cost_second" "pg_catalog"."int8",
 "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
 "create_by" "pg_catalog"."int8",
 "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "update_by" "pg_catalog"."int8",
 "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
 "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
 "tenant_id" "pg_catalog"."int8" DEFAULT 0,
 version           integer                 DEFAULT 0,
 del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
 CONSTRAINT "data_amplification_task_pkey" PRIMARY KEY ("id")
);

ALTER TABLE "public"."data_amplification_task"
    OWNER TO "postgres";

COMMENT ON COLUMN "public"."data_amplification_task"."id" IS '主键ID';

COMMENT ON COLUMN "public"."data_amplification_task"."name" IS '任务名称';

COMMENT ON COLUMN "public"."data_amplification_task"."status" IS '任务状态';

COMMENT ON COLUMN "public"."data_amplification_task"."data_batch_nums" IS '数据批次号';

COMMENT ON COLUMN "public"."data_amplification_task"."parameters" IS '调用算法时所用的参数';

COMMENT ON COLUMN "public"."data_amplification_task"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."data_amplification_task"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."data_amplification_task"."cost_second" IS '耗时';

COMMENT ON COLUMN "public"."data_amplification_task"."log" IS '日志';

COMMENT ON COLUMN "public"."data_amplification_task"."create_by" IS '创建人';

COMMENT ON COLUMN "public"."data_amplification_task"."create_time" IS '创建时间';

COMMENT ON COLUMN "public"."data_amplification_task"."update_by" IS '更新人';

COMMENT ON COLUMN "public"."data_amplification_task"."update_time" IS '更新时间';

COMMENT ON COLUMN "public"."data_amplification_task"."remarks" IS '备注';

COMMENT ON COLUMN "public"."data_amplification_task"."version" IS '乐观锁';

COMMENT ON COLUMN "public"."data_amplification_task"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "public"."data_amplification_task"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';

COMMENT ON TABLE "public"."data_amplification_task" IS '数据扩增任务';

-- 菜单
-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395300, '目标识别任务', 153308760386924544, '1', 'identificationTask', 'identification/identificationTask/index', 1, 0, 'C', '0', '0', 'identification:identificationTask:list', '', 1, now(), 1, null, '目标识别任务菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395301, '目标识别任务查询', 2024081714395300, '1',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationTask:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395302, '目标识别任务新增', 2024081714395300, '2',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationTask:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395303, '目标识别任务修改', 2024081714395300, '3',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationTask:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395304, '目标识别任务删除', 2024081714395300, '4',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationTask:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395305, '目标识别任务导出', 2024081714395300, '5',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationTask:export',       '', 1, now(), 1, null, '');

-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564100, '目标识别子任务详情', 153308760386924544, '1', 'identificationSubtaskDetails', 'identification/identificationSubtaskDetails/index', 1, 0, 'C', '0', '0', 'identification:identificationSubtaskDetails:list', '', 1, now(), 1, null, '目标识别子任务详情菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564101, '目标识别子任务详情查询', 2024081714564100, '1',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtaskDetails:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564102, '目标识别子任务详情新增', 2024081714564100, '2',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtaskDetails:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564103, '目标识别子任务详情修改', 2024081714564100, '3',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtaskDetails:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564104, '目标识别子任务详情删除', 2024081714564100, '4',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtaskDetails:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714564105, '目标识别子任务详情导出', 2024081714564100, '5',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtaskDetails:export',       '', 1, now(), 1, null, '');

-- 菜单 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395200, '目标识别子任务', 153308760386924544, '1', 'identificationSubtask', 'identification/identificationSubtask/index', 1, 0, 'C', '0', '0', 'identification:identificationSubtask:list', '', 1, now(), 1, null, '目标识别子任务菜单');

-- 按钮 SQL
insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395201, '目标识别子任务查询', 2024081714395200, '1',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtask:query',        '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395202, '目标识别子任务新增', 2024081714395200, '2',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtask:add',          '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395203, '目标识别子任务修改', 2024081714395200, '3',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtask:edit',         '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395204, '目标识别子任务删除', 2024081714395200, '4',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtask:remove',       '', 1, now(), 1, null, '');

insert into sys_menu (menu_id, menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values(2024081714395205, '目标识别子任务导出', 2024081714395200, '5',  '', '', 1, 0, 'F', '0', '0', 'identification:identificationSubtask:export',       '', 1, now(), 1, null, '');
