/*
 Navicat Premium Data Transfer

 Source Server         : PostgreSql本地
 Source Server Type    : PostgreSQL
 Source Server Version : 160004
 Source Host           : localhost:5432
 Source Catalog        : taais
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 160004
 File Encoding         : 65001

 Date: 07/09/2024 11:44:15
*/


-- ----------------------------
-- Table structure for video2image
-- ----------------------------
DROP TABLE IF EXISTS "public"."video2image";
CREATE TABLE "public"."video2image" (
  "id" "pg_catalog"."int8" NOT NULL DEFAULT nextval('demo_video2image_id_seq'::regclass),
  "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "out_path" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "start_time" "pg_catalog"."timestamp",
  "end_time" "pg_catalog"."timestamp",
  "cost_second" "pg_catalog"."int8",
  "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "create_by" "pg_catalog"."int8",
  "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "update_by" "pg_catalog"."int8",
  "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "del_flag" "pg_catalog"."int2" NOT NULL DEFAULT '0'::smallint,
  "path" "pg_catalog"."text" COLLATE "pg_catalog"."default" NOT NULL,
  "fps" "pg_catalog"."int8" NOT NULL DEFAULT 1,
  "tenant_id" "pg_catalog"."int8",
  "version" "pg_catalog"."int4",
  "zip_file_path" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "url" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "input_oss_id" "pg_catalog"."int8"
)
;
COMMENT ON COLUMN "public"."video2image"."id" IS '主键ID';
COMMENT ON COLUMN "public"."video2image"."name" IS '视频名称';
COMMENT ON COLUMN "public"."video2image"."status" IS '任务状态 0未开始 1进行中 2已结束';
COMMENT ON COLUMN "public"."video2image"."out_path" IS '切割好的图片的保存路径';
COMMENT ON COLUMN "public"."video2image"."start_time" IS '开始时间';
COMMENT ON COLUMN "public"."video2image"."end_time" IS '结束时间';
COMMENT ON COLUMN "public"."video2image"."cost_second" IS '耗时';
COMMENT ON COLUMN "public"."video2image"."log" IS '日志';
COMMENT ON COLUMN "public"."video2image"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."video2image"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."video2image"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."video2image"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."video2image"."remarks" IS '备注';
COMMENT ON COLUMN "public"."video2image"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';
COMMENT ON COLUMN "public"."video2image"."path" IS '视频本身保存路径 / url';
COMMENT ON COLUMN "public"."video2image"."fps" IS '切割帧率，默认1';
COMMENT ON COLUMN "public"."video2image"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."video2image"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."video2image"."zip_file_path" IS '生成的zip文件位置';
COMMENT ON COLUMN "public"."video2image"."url" IS '获取视频文件的url';
COMMENT ON TABLE "public"."video2image" IS '视频转图片表';

-- ----------------------------
-- Records of video2image
-- ----------------------------
INSERT INTO "public"."video2image" VALUES (182232725967634432, '213', '123123', '123123', '2024-08-11 00:00:00', '2024-08-20 00:00:00', 123123, '123123', 1, '2024-08-17 09:48:47.656', 1, '2024-08-17 09:48:47.656', '123123', 1, '31312', 32131223, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182232645646712832, '123123', '123123', '123123', '2024-07-29 00:00:00', '2024-08-13 00:00:00', 123123123, '123123', 1, '2024-08-17 09:48:28.803', 1, '2024-08-17 09:48:28.803', '123123', 1, '123123123', 1231231223, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (2, '123', NULL, '1', NULL, NULL, NULL, NULL, NULL, '2024-08-17 09:34:42.895336', NULL, '2024-08-17 09:34:42.895336', NULL, 1, '1', 1, 0, NULL, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182627671321092096, '123', '2', 'uploads\123\images', '2024-08-18 11:58:55.742', '2024-08-18 12:00:44.35', 108, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-18 11:58:10.019', 1, '2024-08-18 12:00:44.35', '123', 1, 'http://localhost:9090/profile/upload/2024/08/18/test_video_20240818115752A009.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/18/test_video_20240818115752A009.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (4, '123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-17 09:46:16.845398', NULL, '2024-08-17 09:46:16.845398', NULL, 1, '123', 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182270800315932672, '123', '123', '123123', '2024-07-28 00:00:00', '2024-07-28 00:00:00', 213123, '12312', 1, '2024-08-17 12:20:05.29', 1, '2024-08-17 12:20:05.29', '3123123', 1, '123123123', 123123123123123123, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182271227732168704, 'test', '123', '123123', '2024-07-28 00:00:00', '2024-07-28 00:00:00', 213123, '12312', 1, '2024-08-17 12:21:47.197', 1, '2024-08-17 12:21:47.197', '3123123', 1, '123123123', 123123123123123123, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182272087891660800, 'test', '0', 'uploads\test\images', '2024-08-17 12:25:12.197', NULL, NULL, NULL, 1, '2024-08-17 12:25:12.663', 1, '2024-08-17 12:25:12.663', '3123123', 1, 'uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4', 123123123123123123, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182604922246696960, 'test20240818', '2', 'uploads\test20240818\images', '2024-08-18 10:29:11.072', '2024-08-18 10:31:01.77', 110, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-18 10:27:46.248', 1, '2024-08-18 10:31:01.77', '123', 1, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (182343435443863552, 'test', '2', 'uploads\test\images', '2024-08-18 11:15:38.462', '2024-08-18 11:15:38.719', 0, '开始截取图片子线程...
开始截取图片...
视频转图片出现位置错误...
avformat_open_input() error -2: Could not open input "uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4". (Has setFormat() been called?) (For more details, make sure FFmpegLogCallback.set() has been called.)
', 1, '2024-08-17 17:08:42.851', 1, '2024-08-18 11:15:38.721', '3123123', 1, 'uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4', 123123123123123123, 0, 2, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182607445971996672, 'test202408183', '2', 'uploads\test202408183\images', '2024-08-18 11:14:49.155', '2024-08-18 11:16:58.016', 128, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-18 10:37:47.889', 1, '2024-08-18 11:16:58.016', '123', 1, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', 1, 0, 4, NULL, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (182607010234142720, 'test202408183', '2', 'uploads\test202408183\images', '2024-08-18 11:16:17.217', '2024-08-18 11:18:57.214', 159, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-18 10:36:04.003', 1, '2024-08-18 11:18:57.214', '123', 1, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', 1, 0, 6, NULL, 'http://localhost:9090/profile/upload/2024/08/17/test_video_20240817215423A004.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (182297514974683136, 'test', '2', 'uploads\test\images', '2024-08-17 14:49:22.308', '2024-08-17 14:51:09.292', 106, '开始截取图片...视频转图片结束...', 1, '2024-08-17 14:06:14.559', 1, '2024-08-17 14:51:09.292', '3123123', 1, 'uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4', 1, 0, 4, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182342986040967168, 'test', '2', 'uploads\test\images', '2024-08-17 17:09:06.543', '2024-08-17 17:09:08.178', 1, '开始截取图片子线程...
开始截取图片...
视频转图片出现位置错误...
avformat_open_input() error -2: Could not open input "uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4". (Has setFormat() been called?) (For more details, make sure FFmpegLogCallback.set() has been called.)
', 1, '2024-08-17 17:06:56.112', 1, '2024-08-17 17:09:08.178', '3123123', 1, 'uploads\f7510da5-4e49-4bfa-98ec-777e35db87ec_test_video.mp4', 123123123123123123, 0, 2, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182344132679741440, 'test', '1', 'uploads\test\images', '2024-08-17 17:23:48.952', NULL, NULL, NULL, 1, '2024-08-17 17:11:29.554', 1, '2024-08-17 17:23:48.955', '3123123', 1, 'uploads\68ddb526-ce09-4461-a005-eac3eee770dc_test_video.mp4', 123123123123123123, 0, 1, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182348598246154240, '123', '0', 'uploads\123\images', NULL, NULL, NULL, NULL, 1, '2024-08-17 17:29:13.771', 1, '2024-08-17 17:29:13.771', '123', 1, 'uploads\68ddb526-ce09-4461-a005-eac3eee770dc_test_video.mp4', 1, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182349574818516992, '123', '0', 'uploads\123\images', NULL, NULL, NULL, NULL, 1, '2024-08-17 17:33:06.595', 1, '2024-08-17 17:33:06.595', '123', 1, 'uploads\68ddb526-ce09-4461-a005-eac3eee770dc_test_video.mp4', 1, 0, 0, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (182350442448142336, '123', '2', 'uploads\123\images', '2024-08-17 17:37:19.307', '2024-08-17 17:39:07.964', 108, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-17 17:36:33.827', 1, '2024-08-17 17:39:07.965', '123', 1, 'uploads\68ddb526-ce09-4461-a005-eac3eee770dc_test_video.mp4', 1, 0, 2, NULL, NULL, NULL);
INSERT INTO "public"."video2image" VALUES (189836594042142720, '123', '2', '\home\ObjectDetection_Web\upload\2024\09\07\1_20240907092337A001_images1725672231011', '2024-09-07 09:24:14.412', '2024-09-07 09:24:28.001', 13, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-09-07 09:23:51.076', 1, '2024-09-07 09:24:28.002', '1', 0, '/home/ObjectDetection_Web/upload/2024/09/07/1_20240907092337A001.mp4', 1, 0, 2, '\home\ObjectDetection_Web\upload\2024\09\07\1_20240907092337A001.zip', 'http://localhost:9090/profile/upload/2024/09/07/1_20240907092337A001.mp4', 189836536202690560);
INSERT INTO "public"."video2image" VALUES (182629958802219008, 'hhahh', '2', 'uploads\hhahh\images', '2024-08-18 12:08:02.202', '2024-08-18 12:10:15.37', 133, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-18 12:07:15.421', 1, '2024-08-18 12:10:15.37', '123123', 1, 'http://localhost:9090/profile/upload/2024/08/18/test_video_20240818120707A010.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/18/test_video_20240818120707A010.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (189822461326393344, '13123', '2', 'uploads\13123\images', '2024-09-07 08:27:45.299', '2024-09-07 08:29:33.178', 107, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-09-07 08:27:41.642', 1, '2024-09-07 08:29:33.178', '123123', 1, 'http://localhost:9090/profile/upload/2024/09/07/test_video_20240907082736A001.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/09/07/test_video_20240907082736A001.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (186988571960283136, '123123', '2', 'uploads\123123\images', '2024-08-30 12:47:22.14', '2024-08-30 12:49:14.086', 111, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-30 12:46:49.699', 1, '2024-08-30 12:49:14.086', '这是一个备注', 1, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830124627A001.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830124627A001.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (186990409132613632, '啊啊啊啊啊', '2', 'uploads\啊啊啊啊啊\images', '2024-08-30 12:54:19.2', '2024-08-30 12:56:09.167', 109, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-30 12:54:07.723', 1, '2024-08-30 12:56:09.167', '222222', 1, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830125356A001.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830125356A001.mp4', NULL);
INSERT INTO "public"."video2image" VALUES (186992673738006528, '23212', '2', 'uploads\23212\images', '2024-08-30 13:03:13.758', '2024-08-30 13:04:49.372', 95, '开始截取图片子线程...
开始截取图片...
视频转图片结束...
开始压缩图片...
压缩图片成功...
', 1, '2024-08-30 13:03:07.638', 1, '2024-08-30 13:04:49.372', '2企鹅去', 1, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830130303A002.mp4', 1, 0, 2, NULL, 'http://localhost:9090/profile/upload/2024/08/30/test_video_20240830130303A002.mp4', NULL);

-- ----------------------------
-- Primary Key structure for table video2image
-- ----------------------------
ALTER TABLE "public"."video2image" ADD CONSTRAINT "video2image_pkey" PRIMARY KEY ("id");
