/*
 Navicat Premium Data Transfer

 Source Server         : PostgreSql本地
 Source Server Type    : PostgreSQL
 Source Server Version : 160004
 Source Host           : localhost:5432
 Source Catalog        : taais
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 160004
 File Encoding         : 65001

 Date: 07/09/2024 11:43:44
*/


-- ----------------------------
-- Table structure for video_stable
-- ----------------------------
DROP TABLE IF EXISTS "public"."video_stable";
CREATE TABLE "public"."video_stable" (
  "id" "pg_catalog"."int8" NOT NULL DEFAULT nextval('demo_video_stable_id_seq'::regclass),
  "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "start_time" "pg_catalog"."timestamp",
  "end_time" "pg_catalog"."timestamp",
  "cost_second" "pg_catalog"."int8",
  "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "create_by" "pg_catalog"."int8",
  "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "update_by" "pg_catalog"."int8",
  "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "del_flag" "pg_catalog"."int2" NOT NULL DEFAULT '0'::smallint,
  "tenant_id" "pg_catalog"."int8",
  "version" "pg_catalog"."int4",
  "block_size" "pg_catalog"."int8",
  "radius" "pg_catalog"."int8",
  "buffer_size" "pg_catalog"."int8",
  "cornerquality" "pg_catalog"."float8",
  "cornermin_distance" "pg_catalog"."float8",
  "lklevel" "pg_catalog"."int8",
  "lkwin_siz" "pg_catalog"."int8",
  "input_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "output_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "input_oss_id" "pg_catalog"."int8"
)
;
COMMENT ON COLUMN "public"."video_stable"."id" IS '主键ID';
COMMENT ON COLUMN "public"."video_stable"."name" IS '视频名称';
COMMENT ON COLUMN "public"."video_stable"."status" IS '任务状态 0未开始 1进行中 2已结束 3 失败';
COMMENT ON COLUMN "public"."video_stable"."start_time" IS '开始时间';
COMMENT ON COLUMN "public"."video_stable"."end_time" IS '结束时间';
COMMENT ON COLUMN "public"."video_stable"."cost_second" IS '耗时';
COMMENT ON COLUMN "public"."video_stable"."log" IS '日志';
COMMENT ON COLUMN "public"."video_stable"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."video_stable"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."video_stable"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."video_stable"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."video_stable"."remarks" IS '备注';
COMMENT ON COLUMN "public"."video_stable"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';
COMMENT ON COLUMN "public"."video_stable"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."video_stable"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."video_stable"."input_path" IS ' 输入路径';
COMMENT ON COLUMN "public"."video_stable"."output_path" IS '输出路径';
COMMENT ON TABLE "public"."video_stable" IS '视频去抖动';

-- ----------------------------
-- Records of video_stable
-- ----------------------------
INSERT INTO "public"."video_stable" VALUES (189843004008202240, '123', '2', '2024-09-07 09:49:23.029', '2024-09-07 09:49:38.565', 15, '12312332 this is a log', 1, '2024-09-07 09:49:19.348', 1, '2024-09-07 09:49:38.565', NULL, 0, 0, 2, 50, 500, 200, 0.2, 5, 3, 15, '\home\ObjectDetection_Web\upload\2024\09\07\123_1725672288469_20240907094914A001_images', '\home\ObjectDetection_Web\upload\2024\09\07\123_1725672288469_20240907094914A001_stable', 189842984466939904);
INSERT INTO "public"."video_stable" VALUES (189666128761499648, '123123', '3', '2024-09-06 22:06:45', '2024-09-06 22:06:45', NULL, NULL, 1, '2024-09-06 22:06:28', 1, '2024-09-06 22:07:04.22', NULL, 1, 0, 2, 501, 500, 200, 0.2, 5, 3, 15, '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906220622A001_images', '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906220622A001_stable', 189666102740037632);
INSERT INTO "public"."video_stable" VALUES (189644285967114240, '11111', '2', '2024-09-06 21:44:37', '2024-09-06 22:13:41.503', 1744, '12312332 this is a log', 1, '2024-09-06 20:39:41', 1, '2024-09-06 22:13:41.503', '123', 1, 0, 8, 502, 11212, 20022, 0.222, 522, 322222, 152, '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906203909A001_images', '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906203909A001_stable', 189644152823128064);
INSERT INTO "public"."video_stable" VALUES (189823124366163968, '12123', '3', '2024-09-07 08:30:26.535', '2024-09-07 08:30:27.017', NULL, NULL, 1, '2024-09-07 08:30:19.667', 1, '2024-09-07 08:30:27.017', NULL, 1, 0, 1, 50, 500, 200, 0.2, 5, 3, 15, '\home\ObjectDetection_Web\upload\2024\09\07\13123_1725668989090_20240907083012A002_images', '\home\ObjectDetection_Web\upload\2024\09\07\13123_1725668989090_20240907083012A002_stable', 189823096557928448);
INSERT INTO "public"."video_stable" VALUES (189837656450957312, '123', '2', '2024-09-07 09:28:11.915', '2024-09-07 09:29:42.283', 90, '12312332 this is a log', 1, '2024-09-07 09:28:04.377', 1, '2024-09-07 09:29:42.285', NULL, 1, 0, 2, 50, 500, 200, 0.2, 5, 3, 15, '\home\ObjectDetection_Web\upload\2024\09\07\123_1725672288469_20240907092758A002_images', '\home\ObjectDetection_Web\upload\2024\09\07\123_1725672288469_20240907092758A002_stable', 189837632245628928);
INSERT INTO "public"."video_stable" VALUES (189645979203518464, '2222', '3', '2024-09-06 21:57:07.713', '2024-09-06 21:57:08.121', NULL, NULL, 1, '2024-09-06 20:46:24.964', 1, '2024-09-06 21:57:08.124', '1', 1, 0, 7, 501, 5001, 2001, 0.21, 51, 31, 151, '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906204510A001_images', '\home\ObjectDetection_Web\upload\2024\09\06\test1_20240906204510A001_stable', 189645665352138752);
INSERT INTO "public"."video_stable" VALUES (189653174771019776, '33333', '3', '2024-09-06 21:57:25.733', '2024-09-06 21:57:25.742', NULL, NULL, 1, '2024-09-06 21:15:00.515', 1, '2024-09-06 21:57:25.743', NULL, 1, 0, 5, 50, 500, 200, 0.2, 5, 3, 15, '\home\ObjectDetection_Web\upload\2024\09\06\hahah_1725263184428_20240906162440A001_images_20240906211455A001_images', '\home\ObjectDetection_Web\upload\2024\09\06\hahah_1725263184428_20240906162440A001_images_20240906211455A001_stable', 189653154722246656);

-- ----------------------------
-- Primary Key structure for table video_stable
-- ----------------------------
ALTER TABLE "public"."video_stable" ADD CONSTRAINT "video_stable_pkey" PRIMARY KEY ("id");
