package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置对象 algorithm_config
 *
 * @author 0
 * 2024-05-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_config")
public class AlgorithmConfig extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 类型 */
    private String type;

    /** 父id */
    private Long parentId;

    /** 分系统 */
    private String subsystem;

    /** 算法名称 */
    private String algorithmName;

    /** 算法地址 */
    private String algorithmAddress;

    /** 参数配置 */
    private String parameterConfig;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /** 系统 */
    private String system;


}
