package com.taais.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法子任务对象 algorithm_subtask
 *
 * @author Allen
 * 2024-06-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_subtask")
public class AlgorithmSubtask extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 任务ID */
    private Long taskId;

    /** 任务名称 */
    private String name;

    /** 任务状态 */
    private String status;

    /** 任务类型 */
    private String type;

    /** 调用算法时所用的参数 */
    private String parameters;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 耗时 */
    private Long costSecond;

    /** 日志 */
    private String log;

    /** 序号 */
    private Long index;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /** 系统 */
    private String system;


}
