package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法任务对象 algorithm_task_configuration
 *
 * @author 0
 * 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_task_configuration")
public class AlgorithmTaskConfiguration extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id(keyType = KeyType.None)
    private Long id;

    /** 算法任务名称 */
    private String name;

    /** 训练算法地址 */
    private String trainUrl;

    /** 训练超参配置 */
    private String trainParams;

    /** 验证算法地址 */
    private String verifyUrl;

    /** 验证超参配置 */
    private String verifyParams;

    /** 测试算法地址 */
    private String testUrl;

    /** 测试超参配置 */
    private String testParams;

    /** 备注 */
    private String remark;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
