package com.taais.biz.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;

import java.util.Date;

/**
 * 数据管理对象 data
 *
 * @author km
 * 2024-04-22
 */
@lombok.Data
//@EqualsAndHashCode(callSuper = true)
@Table(value = "data")
public class Data {
//    @Serial
//    private static final long serialVersionUID = 1L;
    @Id(keyType = KeyType.None)
    private Long id;

    /** 名称 */
    private String name;

    /** 数据类型 */
    private String dataType;

    /** 文件类型 */
    private String fileType;

    /** 目标类型 */
    private String objectType;

    /** 目标子类型 */
    private String objectSubtype;

    /** 批次号 */
    private String batchNum;

    /** 场景 */
    private String scene;

    /** 数据源 */
    private String dataSource;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;

    /** 采集地点 */
    private String gatherSpot;

    /** 图片url */
    private String url;

    /** 标注url */
    private String labelurl;

    /** 扩增方式 */
    private String increment;

    /** 是否标注 */
//    @Column(onInsertValue = "false")
    private Boolean labeled;


}
