package com.taais.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标识别子任务对象 target_identification_subtask_details
 *
 * @author 0
 * 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "target_identification_subtask_details")
public class TargetIdentificationSubtaskDetails extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    // 子任务id
    private Long subtaskId;

    /** 任务名称 */
    private String name;

    /** 任务状态 */
    private String status;

    /** 算法 */
    private Long algorithmId;

    private String type;

    /** 数据批次号 */
    private String dataBatchNums;

    /** 调用算法时所用的参数 */
    private String parameters;

    /** 预处理数据路径 */
    private String preprocessPath;

    /** 结果数据路径 */
    private String resultPath;

    /** 序号 */
    private Long index;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 耗时 */
    private Long costSecond;

    /** $column.columnComment */
    private String log;



    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

}
