package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标识别任务对象 target_identification_task
 *
 * @author km
 * 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "target_identification_task")
public class TargetIdentificationTask extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 任务名称 */
    private String name;

    /** 任务状态 */
    private String status;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

}
