package com.taais.biz.domain;

import java.util.Date;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 视频转图片 对象 video2image
 *
 * @author km
 * 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "video2image")
public class Video2image extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 视频名称
     */
    private String name;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 切割好的图片的保存路径
     */
    private String outPath;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * 视频本身保存路径
     */
    private String path;

    /**
     * 切割帧率，默认1
     */
    private Long fps;

    /**
     * 获取视频的url
     */
    private String url;

    /**
     * 图片压缩包路径
     */
    private String zipFilePath;

    /**
     * 输入oss_ID
     */
    private Long inputOssId;
}
