package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmConfig;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置业务对象 algorithm_config
 *
 * @author 0
 * @date 2024-05-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfig.class, reverseConvertGenerate = false)
public class AlgorithmConfigBo extends BaseEntity{

    private Long id;
    /**
     * 类型
     */
    @NotBlank(message = "类型不能为空")
    private String type;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 分系统
     */
    private String subsystem;

    /**
     * 算法名称
     */
    @NotBlank(message = "算法名称不能为空")
    private String algorithmName;

    /**
     * 算法地址
     */
    @NotBlank(message = "算法地址不能为空")
    private String algorithmAddress;

    /**
     * 参数配置
     */
    private String parameterConfig;

    /**
     * 备注
     */
    private String remarks;


}
