package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmDataProcess;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法数据处理业务对象 algorithm_data_process
 *
 * @author 0
 * @date 2024-06-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmDataProcess.class, reverseConvertGenerate = false)
public class AlgorithmDataProcessBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 子任务id
     */
    private Long subTaskId;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务类型
     */
    private String type;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 算法
     */
    private Long algorithmId;

    /**
     * 调用算法时所用的参数
     */
    private String parameters;

    /**
     * 预处理数据路径
     */
    private String preprocessPath;

    /**
     * 结果数据路径
     */
    private String resultPath;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 序号
     */
    private Long index;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;


}
