package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmModel;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法模型配置业务对象 algorithm_model
 *
 * @author 0
 * @date 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmModel.class, reverseConvertGenerate = false)
public class AlgorithmModelBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 算法
     */
    @NotNull(message = "算法不能为空")
    private Long algorithmId;

    /**
     * 模型名称
     */
    @NotBlank(message = "模型名称不能为空")
    private String modelName;

    /**
     * 模型
     */
    @NotBlank(message = "模型不能为空")
    private String modelAddress;

    /**
     * 训练样本数
     */
    private Long sampleNumber;

    /**
     * 训练循环次数
     */
    private Long cycleEpoch;

    /**
     * 备注
     */
    private String remarks;


}
