package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmSubtask;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法子任务业务对象 algorithm_subtask
 *
 * @author Allen
 * @date 2024-06-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmSubtask.class, reverseConvertGenerate = false)
public class AlgorithmSubtaskBo extends BaseEntity{

    private Long id;
    /**
     * 任务ID
     */
    private Long taskId;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 任务类型
     */
    @NotBlank(message = "任务类型不能为空")
    private String type;

    /**
     * 调用算法时所用的参数
     */
    private String parameters;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 序号
     */
    private Long index;


}
