package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmSubtaskDetail;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法子任务详情业务对象 algorithm_subtask_detail
 *
 * @author 0
 * @date 2024-05-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmSubtaskDetail.class, reverseConvertGenerate = false)
public class AlgorithmSubtaskDetailBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 调用算法时所用的参数
     */
    private String parameters;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;


}
