package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmTaskConfiguration;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法任务业务对象 algorithm_task_configuration
 *
 * @author 0
 * @date 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmTaskConfiguration.class, reverseConvertGenerate = false)
public class AlgorithmTaskConfigurationBo extends BaseEntity{
    /**
     * 主键ID
     */
    //@NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 算法任务名称
     */
    @NotBlank(message = "算法任务名称不能为空")
    private String name;

    /**
     * 训练算法地址
     */
    @NotBlank(message = "训练算法地址不能为空")
    private String trainUrl;

    /**
     * 训练超参配置
     */
    @NotBlank(message = "训练超参配置不能为空")
    private String trainParams;

    /**
     * 验证算法地址
     */
    @NotBlank(message = "验证算法地址不能为空")
    private String verifyUrl;

    /**
     * 验证超参配置
     */
    @NotBlank(message = "验证超参配置不能为空")
    private String verifyParams;

    /**
     * 测试算法地址
     */
    @NotBlank(message = "测试算法地址不能为空")
    private String testUrl;

    /**
     * 测试超参配置
     */
    @NotBlank(message = "测试超参配置不能为空")
    private String testParams;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remark;


}
