package com.taais.biz.domain.bo;

import com.taais.biz.domain.TargetIdentificationSubtaskDetails;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标识别子任务业务对象 target_identification_subtask_details
 *
 * @author 0
 * @date 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetIdentificationSubtaskDetails.class, reverseConvertGenerate = false)
public class TargetIdentificationSubtaskDetailsBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    // 子任务id
    private Long subtaskId;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 算法
     */
    @NotNull(message = "算法不能为空")
    private Long algorithmId;

    @NotNull(message = "算法URL不能为空")
    private String type;

    /**
     * 数据批次号
     */
    @NotBlank(message = "数据批次号不能为空")
    private String dataBatchNums;

    /**
     * 调用算法时所用的参数
     */
    @NotBlank(message = "调用算法时所用的参数不能为空")
    private String parameters;

    /**
     * 预处理数据路径
     */
    @NotBlank(message = "预处理数据路径不能为空")
    private String preprocessPath;

    /**
     * 结果数据路径
     */
    @NotBlank(message = "结果数据路径不能为空")
    private String resultPath;

    /**
     * 序号
     */
    @NotNull(message = "序号不能为空")
    private Long index;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * $column.columnComment
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

}
