package com.taais.biz.domain.bo;

import com.taais.biz.domain.TargetIdentificationTask;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标识别任务业务对象 target_identification_task
 *
 * @author km
 * @date 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetIdentificationTask.class, reverseConvertGenerate = false)
public class TargetIdentificationTaskBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remarks;

}
