package com.taais.biz.domain.bo;


import com.taais.biz.domain.Video2image;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 【请填写功能名称】业务对象 video2image
 *
 * @author km
 * @date 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Video2image.class, reverseConvertGenerate = false)
public class Video2imageBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 视频名称
     */
    @NotBlank(message = "视频名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    // @NotBlank(message = "任务状态不能为空")
    private String status;

    /**
     * 切割好的图片的保存路径
     */
    // @NotBlank(message = "切割好的图片的保存路径不能为空")
    private String outPath;

    /**
     * 开始时间
     */
    // @NotNull(message = "开始时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    // @NotNull(message = "结束时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 耗时
     */
    // @NotNull(message = "耗时不能为空")
    private Long costSecond;

    /**
     * 日志
     */
    // @NotBlank(message = "日志不能为空")
    private String log;

    /**
     * 备注
     */
    // @NotBlank(message = "备注不能为空")
    private String remarks;

    /**
     * 视频本身保存路径
     */
    // @NotBlank(message = "视频本身保存路径不能为空")
    private String path;

    /**
     * 切割帧率，默认1
     */
    @NotNull(message = "切割帧率，默认1不能为空")
    @Min(value = 1, message = "切割帧率，最小值为1")
    @Max(value = 60, message = "切割帧率，最大值为60")
    private Long fps;

    /**
     * 视频文件ID
     */
    private String fileId;

    /**
     * 获取视频的url
     */
    private String url;


    @NotNull(message = "视频不能为空")
    private Long InputOssId;
}
