package com.taais.biz.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.VideoStable;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 视频去抖动业务对象 video_stable
 *
 * @author 0
 * @date 2024-08-30
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = VideoStable.class, reverseConvertGenerate = false)
@AllArgsConstructor
@NoArgsConstructor
public class VideoStableBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 视频名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态 0未开始 1进行中 2已结束
     */
    private String status;

    /**
     * 输入图片集ossId
     */
    @NotNull(message = "输入图片集ossId不能为空")
    private Long inputOssId;

    private String inputPath;
    private String outputPath;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    @Builder.Default
    private Integer  block_size = 50;
    @Builder.Default
    private Integer  radius = 500;
    @Builder.Default
    private Integer  buffer_size = 200;
    @Builder.Default
    private Double cornerquality = 0.2;
    @Builder.Default
    private Integer  cornerminDistance = 5;
    @Builder.Default
    private Integer  lklevel = 3;
    @Builder.Default
    private Integer  lkwinSiz = 15;
}
