package com.taais.biz.domain.dto;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.Map;


/**
 * @author Eureka
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DataAmplifyDto {

    @NotEmpty(message = "批次不能为空")
    private String batchNum;

    @NotEmpty(message = "任务名称")
    private String taskName;

    @NotEmpty(message = "扩充方式不能为空")
    private String augmentationType;

    private String inputImagePath;

    private String outputImagePath;

    @NotNull(message = "扩充算法配置不能为空")
    private Map<String, String> otherParams;
}
