package com.taais.biz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.biz.domain.AlgorithmDataProcess;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法数据处理视图对象 algorithm_data_process
 *
 * @author 0
 * @date 2024-06-14
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmDataProcess.class)
public class AlgorithmDataProcessVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 子任务id */
    @ExcelProperty(value = "子任务id")
    private Long subTaskId;

    /** 任务名称 */
    @ExcelProperty(value = "任务名称")
    private String name;

    /** 任务类型 */
    @ExcelProperty(value = "任务类型")
    private String type;

    /** 任务状态 */
    @ExcelProperty(value = "任务状态")
    private String status;

    /** 算法 */
    @ExcelProperty(value = "算法")
    private Long algorithmId;

    /** 调用算法时所用的参数 */
    @ExcelProperty(value = "调用算法时所用的参数")
    private String parameters;

    /** 预处理数据路径 */
    @ExcelProperty(value = "预处理数据路径")
    private String preprocessPath;

    /** 结果数据路径 */
    @ExcelProperty(value = "结果数据路径")
    private String resultPath;

    /** 开始时间 */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /** 序号 */
    @ExcelProperty(value = "序号")
    private Long index;

    /** 结束时间 */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /** 耗时 */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

    /** 日志 */
    @ExcelProperty(value = "日志")
    private String log;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

    /** 系统 */
    @ExcelProperty(value = "系统")
    private String system;



}
