package com.taais.biz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.biz.domain.AlgorithmSubtaskDetail;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法子任务详情视图对象 algorithm_subtask_detail
 *
 * @author 0
 * @date 2024-05-29
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmSubtaskDetail.class)
public class AlgorithmSubtaskDetailVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 任务名称 */
    @ExcelProperty(value = "任务名称")
    private String name;

    /** 任务状态 */
    @ExcelProperty(value = "任务状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "biz_ag_type")
    private String status;

    /** 调用算法时所用的参数 */
    @ExcelProperty(value = "调用算法时所用的参数")
    private String parameters;

    /** 开始时间 */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /** 结束时间 */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /** 耗时 */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

    /** 日志 */
    @ExcelProperty(value = "日志")
    private String log;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

    /** 系统 */
    @ExcelProperty(value = "系统")
    private String system;



}
