package com.taais.biz.domain.vo;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.taais.biz.domain.AlgorithmTaskConfiguration;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法任务视图对象 algorithm_task_configuration
 *
 * @author 0
 * @date 2024-08-23
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmTaskConfiguration.class)
public class AlgorithmTaskConfigurationVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 算法任务名称 */
    @ExcelProperty(value = "算法任务名称")
    private String name;

    /** 训练算法地址 */
    @ExcelProperty(value = "训练算法地址")
    private String trainUrl;

    /** 训练超参配置 */
    @ExcelProperty(value = "训练超参配置")
    private String trainParams;

    /** 验证算法地址 */
    @ExcelProperty(value = "验证算法地址")
    private String verifyUrl;

    /** 验证超参配置 */
    @ExcelProperty(value = "验证超参配置")
    private String verifyParams;

    /** 测试算法地址 */
    @ExcelProperty(value = "测试算法地址")
    private String testUrl;

    /** 测试超参配置 */
    @ExcelProperty(value = "测试超参配置")
    private String testParams;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remark;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;



}
