package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.biz.domain.Data;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author king
 * @date 2024年08月23日 上午9:43
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ExcelIgnoreUnannotated
@AutoMapper(target = Data.class)
public class DataExcelVo {

    @ExcelProperty(value = "编号")
    private Long id;

    /** 名称 */
    @ExcelProperty(value = "名称")
    private String name;

    /** 数据类型 */
    @ExcelProperty(value = "数据类型")
    private String dataType;

    /** 文件类型 */
    @ExcelProperty(value = "文件类型")
    private String fileType;

    /** 目标类型 */
    @ExcelProperty(value = "目标类型")
    private String objectType;

    /** 目标子类型 */
    @ExcelProperty(value = "目标子类型")
    private String objectSubtype;

    /** 批次号 */
    @ExcelProperty(value = "批次号")
    private String batchNum;

    /** 场景 */
    @ExcelProperty(value = "场景")
    private String scene;

    /** 数据源 */
    @ExcelProperty(value = "数据源")
    private String dataSource;

    /** 采集时间 */
    @ExcelProperty(value = "采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;

    /** 采集地点 */
    @ExcelProperty(value = "采集地点")
    private String gatherSpot;

    /** 扩增方式 */
    @ExcelProperty(value = "扩增方式")
    private String increment;
}
