package com.taais.biz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 数据管理导入视图对象 data
 *
 * @author km
 * @date 2024-06-14
 */

@Data
@NoArgsConstructor
public class DataImportVo implements Serializable
{

    @Serial
    private static final long serialVersionUID = 1L;


     /** 名称 */
    @ExcelProperty(value = "名称")
    private String name;

     /** 数据类型 */
    @ExcelProperty(value = "数据类型")
    private String dataType;

     /** 文件类型 */
    @ExcelProperty(value = "文件类型")
    private String fileType;

     /** 目标类型 */
    @ExcelProperty(value = "目标类型")
    private String objectType;

     /** 目标子类型 */
    @ExcelProperty(value = "目标子类型")
    private String objectSubtype;

     /** 批次号 */
    @ExcelProperty(value = "批次号")
    private Long batchNum;

     /** 场景 */
    @ExcelProperty(value = "场景")
    private String scene;

     /** 数据源 */
    @ExcelProperty(value = "数据源")
    private String dataSource;

     /** 采集时间 */
    @ExcelProperty(value = "采集时间")
    private Date gatherTime;

     /** 采集地点 */
    @ExcelProperty(value = "采集地点")
    private String gatherSpot;

     /** 图片url */
    @ExcelProperty(value = "图片url")
    private String url;

     /** 标注url */
    @ExcelProperty(value = "标注url")
    private String labelurl;

     /** 扩增方式 */
    @ExcelProperty(value = "扩增方式")
    private String increment;

     /** 是否标注 */
    @ExcelProperty(value = "是否标注")
    private String labeled;


}
