package com.taais.biz.domain.vo;

import com.taais.biz.domain.TargetIdentificationTask;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标识别任务视图对象 target_identification_task
 *
 * @author km
 * @date 2024-08-17
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetIdentificationTask.class)
public class TargetIdentificationTaskVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 任务名称 */
    @ExcelProperty(value = "任务名称")
    private String name;

    /** 任务状态 */
    @ExcelProperty(value = "任务状态")
    private String status;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

}
