package com.taais.biz.domain.vo;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.Video2image;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 视频转图片 视图对象 video2image
 *
 * @author km
 * @date 2024-08-16
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Video2image.class)
public class Video2imageVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 视频名称
     */
    @ExcelProperty(value = "视频名称")
    private String name;

    /**
     * 任务状态
     */
    @ExcelProperty(value = "任务状态")
    private String status;

    /**
     * 切割好的图片的保存路径
     */
    @ExcelProperty(value = "切割好的图片的保存路径")
    private String outPath;

    /**
     * 开始时间
     */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /**
     * 耗时
     */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

    /**
     * 日志
     */
    @ExcelProperty(value = "日志")
    private String log;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

    /**
     * 视频本身保存路径
     */
    @ExcelProperty(value = "视频本身保存路径")
    private String path;

    /**
     * 切割帧率，默认1
     */
    @ExcelProperty(value = "切割帧率，默认1")
    private Long fps;
}
