package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmConfig;
import com.taais.biz.domain.vo.AlgorithmConfigVo;
import com.taais.biz.domain.bo.AlgorithmConfigBo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法配置Service接口
 *
 * @author 0
 * 2024-05-28
 */
public interface IAlgorithmConfigService extends IBaseService<AlgorithmConfig> {
    /**
     * 查询算法配置
     *
     * @param id 算法配置主键
     * @return 算法配置
     */
        AlgorithmConfigVo selectById(Long id);

    /**
     * 查询算法配置列表
     *
     * @param algorithmConfigBo 算法配置Bo
     * @return 算法配置集合
     */
    List<AlgorithmConfigVo> selectList(AlgorithmConfigBo algorithmConfigBo);

    /**
     * 分页查询算法配置列表
     *
     * @param algorithmConfigBo 算法配置Bo
     * @return 分页算法配置集合
     */
    PageResult<AlgorithmConfigVo> selectPage(AlgorithmConfigBo algorithmConfigBo);

    /**
     * 新增算法配置
     *
     * @param algorithmConfigBo 算法配置Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmConfigBo algorithmConfigBo);

    /**
     * 修改算法配置
     *
     * @param algorithmConfigBo 算法配置Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmConfigBo algorithmConfigBo);

    /**
     * 批量删除算法配置
     *
     * @param ids 需要删除的算法配置主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    List getOption();
}
