package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmDataProcess;
import com.taais.biz.domain.dto.TaskResultDTO;
import com.taais.biz.domain.vo.AlgorithmDataProcessVo;
import com.taais.biz.domain.bo.AlgorithmDataProcessBo;
import com.taais.biz.domain.vo.AlgorithmDataSetVo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法数据处理Service接口
 *
 * @author 0
 * 2024-06-14
 */
public interface IAlgorithmDataProcessService extends IBaseService<AlgorithmDataProcess> {
    /**
     * 查询算法数据处理
     *
     * @param id 算法数据处理主键
     * @return 算法数据处理
     */
        AlgorithmDataProcessVo selectById(Long id);

    /**
     * 查询算法数据处理列表
     *
     * @param algorithmDataProcessBo 算法数据处理Bo
     * @return 算法数据处理集合
     */
    List<AlgorithmDataProcessVo> selectList(AlgorithmDataProcessBo algorithmDataProcessBo);

    /**
     * 分页查询算法数据处理列表
     *
     * @param algorithmDataProcessBo 算法数据处理Bo
     * @return 分页算法数据处理集合
     */
    PageResult<AlgorithmDataProcessVo> selectPage(AlgorithmDataProcessBo algorithmDataProcessBo);

    /**
     * 新增算法数据处理
     *
     * @param algorithmDataProcessBo 算法数据处理Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmDataProcessBo algorithmDataProcessBo);

    /**
     * 修改算法数据处理
     *
     * @param algorithmDataProcessBo 算法数据处理Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmDataProcessBo algorithmDataProcessBo);

    /**
     * 批量删除算法数据处理
     *
     * @param ids 需要删除的算法数据处理主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    List<AlgorithmDataProcessVo> getProcessBySubtaskId(Long subtaskId);

    String taskResult(TaskResultDTO resultDTO);
}
