package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmBizProcess;
import com.taais.biz.domain.AlgorithmModel;
import com.taais.biz.domain.vo.AlgorithmModelVo;
import com.taais.biz.domain.bo.AlgorithmModelBo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法模型配置Service接口
 *
 * @author 0
 * 2024-05-29
 */
public interface IAlgorithmModelService extends IBaseService<AlgorithmModel> {
    /**
     * 查询算法模型配置
     *
     * @param id 算法模型配置主键
     * @return 算法模型配置
     */
        AlgorithmModelVo selectById(Long id);

    /**
     * 查询算法模型配置列表
     *
     * @param algorithmModelBo 算法模型配置Bo
     * @return 算法模型配置集合
     */
    List<AlgorithmModelVo> selectList(AlgorithmModelBo algorithmModelBo);

    /**
     * 分页查询算法模型配置列表
     *
     * @param algorithmModelBo 算法模型配置Bo
     * @return 分页算法模型配置集合
     */
    PageResult<AlgorithmModelVo> selectPage(AlgorithmModelBo algorithmModelBo);

    /**
     * 新增算法模型配置
     *
     * @param algorithmModelBo 算法模型配置Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmModelBo algorithmModelBo);

    /**
     * 修改算法模型配置
     *
     * @param algorithmModelBo 算法模型配置Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmModelBo algorithmModelBo);

    /**
     * 批量删除算法模型配置
     *
     * @param ids 需要删除的算法模型配置主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    void createModelByBizProcess(AlgorithmBizProcess algorithmBizProcess);

}
