package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmSubtaskDetail;
import com.taais.biz.domain.vo.AlgorithmSubtaskDetailVo;
import com.taais.biz.domain.bo.AlgorithmSubtaskDetailBo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法子任务详情Service接口
 *
 * @author 0
 * 2024-05-29
 */
public interface IAlgorithmSubtaskDetailService extends IBaseService<AlgorithmSubtaskDetail> {
    /**
     * 查询算法子任务详情
     *
     * @param id 算法子任务详情主键
     * @return 算法子任务详情
     */
        AlgorithmSubtaskDetailVo selectById(Long id);

    /**
     * 查询算法子任务详情列表
     *
     * @param algorithmSubtaskDetailBo 算法子任务详情Bo
     * @return 算法子任务详情集合
     */
    List<AlgorithmSubtaskDetailVo> selectList(AlgorithmSubtaskDetailBo algorithmSubtaskDetailBo);

    /**
     * 分页查询算法子任务详情列表
     *
     * @param algorithmSubtaskDetailBo 算法子任务详情Bo
     * @return 分页算法子任务详情集合
     */
    PageResult<AlgorithmSubtaskDetailVo> selectPage(AlgorithmSubtaskDetailBo algorithmSubtaskDetailBo);

    /**
     * 新增算法子任务详情
     *
     * @param algorithmSubtaskDetailBo 算法子任务详情Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmSubtaskDetailBo algorithmSubtaskDetailBo);

    /**
     * 修改算法子任务详情
     *
     * @param algorithmSubtaskDetailBo 算法子任务详情Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmSubtaskDetailBo algorithmSubtaskDetailBo);

    /**
     * 批量删除算法子任务详情
     *
     * @param ids 需要删除的算法子任务详情主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

}
