package com.taais.mf.domain;

import com.taais.common.orm.core.domain.BaseEntity;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;
import java.util.List;

/**
 * 客户主表对象 mf_customer
 *
 * @author wgk
 * 2024-01-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "mf_customer")
public class Customer extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 客户id
     */
    @Id
    private Long customerId;

    /**
     * 客户姓名
     */
    private String customerName;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 客户性别
     */
    private String gender;

    /**
     * 客户生日
     */
    private Date birthday;

    /**
     * 客户描述
     */
    private String remark;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * 商品子信息
     */
    private List<Goods> goodsList;

}
