package com.taais.mf.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品子对象 mf_goods
 *
 * @author wgk
 * 2024-01-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "mf_goods")
public class Goods extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 商品id
     */
    @Id
    private Long goodsId;

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品重量
     */
    private Integer weight;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 商品种类
     */
    private String type;


}
