package com.taais.mf.domain;


import com.taais.common.orm.core.domain.TreeEntity;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 产品树对象 mf_product
 *
 * @author wgk
 * 2024-01-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "mf_product")
public class MfProduct extends TreeEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 产品id
     */
    @Id
    private Long productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品状态（0正常 1停用）
     */
    private String status;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
