package com.taais.mf.domain;

import com.taais.common.orm.core.domain.BaseEntity;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 学生信息表对象 mf_student
 *
 * @author wgk
 * 2024-01-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "mf_student")
public class MfStudent extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @Id
    private Long studentId;

    /**
     * 学生名称
     */
    private String studentName;

    /**
     * 年龄
     */
    private Integer studentAge;

    /**
     * 爱好（0代码 1音乐 2电影）
     */
    private String studentHobby;

    /**
     * 性别（1男 2女 3未知）
     */
    private String studentGender;

    /**
     * 状态（0正常 1停用）
     */
    private String studentStatus;

    /**
     * 生日
     */
    private Date studentBirthday;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
