--
-- PostgreSQL database dump
--

-- Dumped from database version 16.1 (Debian 16.1-1.pgdg120+1)
-- Dumped by pg_dump version 16.0

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE IF EXISTS taais;
--
-- Name: taais; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE taais WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE_PROVIDER = libc LOCALE = 'en_US.utf8';


ALTER DATABASE taais OWNER TO postgres;

\connect taais

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: cast_varchar_to_timestamp(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.cast_varchar_to_timestamp(character varying) RETURNS timestamp with time zone
    LANGUAGE sql
    STRICT
AS
$_$
select to_timestamp($1, 'yyyy-mm-dd hh24:mi:ss');
$_$;


ALTER FUNCTION public.cast_varchar_to_timestamp(character varying) OWNER TO postgres;

--
-- Name: CAST (character varying AS timestamp with time zone); Type: CAST; Schema: -; Owner: -
--

CREATE CAST (character varying AS timestamp with time zone) WITH FUNCTION public.cast_varchar_to_timestamp(character varying) AS IMPLICIT;


--
-- Name: find_in_set(anyelement, text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.find_in_set(value anyelement, string_list text) RETURNS integer
    LANGUAGE plpgsql
AS
$$
DECLARE
    position INTEGER;
BEGIN
    IF string_list = '' THEN
        RETURN 0;
    ELSE
        position := array_position(string_to_array(string_list, ','), value::TEXT);
        RETURN position;
    END IF;
END;
$$;


ALTER FUNCTION public.find_in_set(value anyelement, string_list text) OWNER TO postgres;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: demo_customer; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_customer
(
    customer_id   bigint                                               NOT NULL,
    customer_name character varying(30)  DEFAULT ''::character varying NOT NULL,
    phonenumber   character varying(11)  DEFAULT NULL::character varying,
    sex           character(1)           DEFAULT NULL::bpchar,
    birthday      timestamp without time zone,
    remark        character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.demo_customer
    OWNER TO postgres;

--
-- Name: TABLE demo_customer; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_customer IS '客户主表(mb)';


--
-- Name: COLUMN demo_customer.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.customer_id IS '客户id';


--
-- Name: COLUMN demo_customer.customer_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.customer_name IS '客户姓名';


--
-- Name: COLUMN demo_customer.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.phonenumber IS '手机号码';


--
-- Name: COLUMN demo_customer.sex; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.sex IS '客户性别';


--
-- Name: COLUMN demo_customer.birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.birthday IS '客户生日';


--
-- Name: COLUMN demo_customer.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.remark IS '客户描述';


--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_customer_customer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_customer_customer_id_seq OWNER TO postgres;

--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_customer_customer_id_seq OWNED BY public.demo_customer.customer_id;


--
-- Name: demo_goods; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_goods
(
    goods_id    bigint NOT NULL,
    customer_id bigint NOT NULL,
    name        character varying(30) DEFAULT NULL::character varying,
    weight      integer               DEFAULT 0,
    price       numeric(6, 2)         DEFAULT NULL::numeric,
    date        timestamp without time zone,
    type        character(1)          DEFAULT NULL::bpchar
);


ALTER TABLE public.demo_goods
    OWNER TO postgres;

--
-- Name: TABLE demo_goods; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_goods IS '商品子表(mb)';


--
-- Name: COLUMN demo_goods.goods_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.goods_id IS '商品id';


--
-- Name: COLUMN demo_goods.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.customer_id IS '客户id';


--
-- Name: COLUMN demo_goods.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.name IS '商品名称';


--
-- Name: COLUMN demo_goods.weight; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.weight IS '商品重量';


--
-- Name: COLUMN demo_goods.price; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.price IS '商品价格';


--
-- Name: COLUMN demo_goods.date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.date IS '商品时间';


--
-- Name: COLUMN demo_goods.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.type IS '商品种类';


--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_goods_goods_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_goods_goods_id_seq OWNER TO postgres;

--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_goods_goods_id_seq OWNED BY public.demo_goods.goods_id;


--
-- Name: demo_product; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_product
(
    product_id   bigint                NOT NULL,
    parent_id    bigint       DEFAULT 0,
    product_name character varying(30) NOT NULL,
    order_num    integer      DEFAULT 0,
    status       character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.demo_product
    OWNER TO postgres;

--
-- Name: TABLE demo_product; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_product IS '产品树表(mb)';


--
-- Name: COLUMN demo_product.product_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.product_id IS '产品id';


--
-- Name: COLUMN demo_product.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.parent_id IS '父产品id';


--
-- Name: COLUMN demo_product.product_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.product_name IS '产品名称';


--
-- Name: COLUMN demo_product.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.order_num IS '显示顺序';


--
-- Name: COLUMN demo_product.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.status IS '产品状态（0正常 1停用）';


--
-- Name: demo_product_product_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_product_product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_product_product_id_seq OWNER TO postgres;

--
-- Name: demo_product_product_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_product_product_id_seq OWNED BY public.demo_product.product_id;


--
-- Name: demo_student; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_student
(
    student_id       bigint                NOT NULL,
    student_name     character varying(30) NOT NULL,
    student_age      integer,
    student_hobby    character varying(30) NOT NULL,
    student_sex      character(1)          NOT NULL,
    student_status   character(1) DEFAULT '0'::bpchar,
    student_birthday timestamp without time zone
);


ALTER TABLE public.demo_student
    OWNER TO postgres;

--
-- Name: TABLE demo_student; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_student IS '学生信息单表(mb)';


--
-- Name: COLUMN demo_student.student_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_id IS '编号';


--
-- Name: COLUMN demo_student.student_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_name IS '学生名称';


--
-- Name: COLUMN demo_student.student_age; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_age IS '年龄';


--
-- Name: COLUMN demo_student.student_hobby; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_hobby IS '爱好（0代码 1音乐 2电影）';


--
-- Name: COLUMN demo_student.student_sex; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_sex IS '性别（1男 2女 3未知）';


--
-- Name: COLUMN demo_student.student_status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_status IS '状态（0正常 1停用）';


--
-- Name: COLUMN demo_student.student_birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_birthday IS '生日';


--
-- Name: demo_student_student_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_student_student_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_student_student_id_seq OWNER TO postgres;

--
-- Name: demo_student_student_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_student_student_id_seq OWNED BY public.demo_student.student_id;


--
-- Name: gen_table; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.gen_table
(
    table_id          bigint                                      NOT NULL,
    table_name        character varying(200)  DEFAULT ''::character varying,
    table_comment     character varying(500)  DEFAULT ''::character varying,
    sub_table_name    character varying(64)   DEFAULT ''::character varying,
    sub_table_fk_name character varying(64)   DEFAULT ''::character varying,
    class_name        character varying(100)  DEFAULT ''::character varying,
    tpl_category      character varying(200)  DEFAULT 'crud'::character varying,
    package_name      character varying(100)  DEFAULT NULL::character varying,
    module_name       character varying(30)   DEFAULT NULL::character varying,
    business_name     character varying(30)   DEFAULT NULL::character varying,
    function_name     character varying(50)   DEFAULT NULL::character varying,
    function_author   character varying(50)   DEFAULT NULL::character varying,
    gen_type          character(1)            DEFAULT '0'::bpchar NOT NULL,
    gen_path          character varying(200)  DEFAULT '/'::character varying,
    options           character varying(1000) DEFAULT NULL::character varying,
    version           integer                 DEFAULT 0,
    create_by         bigint,
    create_time       timestamp without time zone,
    update_by         bigint,
    update_time       timestamp without time zone,
    remark            character varying(500)  DEFAULT NULL::character varying
);


ALTER TABLE public.gen_table
    OWNER TO postgres;

--
-- Name: TABLE gen_table; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.gen_table IS '代码生成业务表';


--
-- Name: COLUMN gen_table.table_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_id IS '编号';


--
-- Name: COLUMN gen_table.table_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_name IS '表名称';


--
-- Name: COLUMN gen_table.table_comment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_comment IS '表描述';


--
-- Name: COLUMN gen_table.sub_table_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.sub_table_name IS '关联子表的表名';


--
-- Name: COLUMN gen_table.sub_table_fk_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.sub_table_fk_name IS '子表关联的外键名';


--
-- Name: COLUMN gen_table.class_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.class_name IS '实体类名称';


--
-- Name: COLUMN gen_table.tpl_category; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.tpl_category IS '使用的模板（CRUD单表操作 TREE树表操作）';


--
-- Name: COLUMN gen_table.package_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.package_name IS '生成包路径';


--
-- Name: COLUMN gen_table.module_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.module_name IS '生成模块名';


--
-- Name: COLUMN gen_table.business_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.business_name IS '生成业务名';


--
-- Name: COLUMN gen_table.function_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.function_name IS '生成功能名';


--
-- Name: COLUMN gen_table.function_author; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.function_author IS '生成功能作者';


--
-- Name: COLUMN gen_table.gen_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.gen_type IS '生成代码方式（0zip压缩包 1自定义路径）';


--
-- Name: COLUMN gen_table.gen_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.gen_path IS '生成路径（不填默认项目路径）';


--
-- Name: COLUMN gen_table.options; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.options IS '其它生成选项';


--
-- Name: COLUMN gen_table.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.version IS '乐观锁';


--
-- Name: COLUMN gen_table.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.create_by IS '创建者';


--
-- Name: COLUMN gen_table.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.create_time IS '创建时间';


--
-- Name: COLUMN gen_table.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.update_by IS '更新者';


--
-- Name: COLUMN gen_table.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.update_time IS '更新时间';


--
-- Name: COLUMN gen_table.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.remark IS '备注';


--
-- Name: gen_table_column; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.gen_table_column
(
    column_id      bigint NOT NULL,
    table_id       bigint,
    column_name    character varying(200) DEFAULT NULL::character varying,
    column_comment character varying(500) DEFAULT NULL::character varying,
    column_type    character varying(100) DEFAULT NULL::character varying,
    java_type      character varying(500) DEFAULT NULL::character varying,
    java_field     character varying(200) DEFAULT NULL::character varying,
    is_pk          character(1)           DEFAULT NULL::bpchar,
    is_increment   character(1)           DEFAULT NULL::bpchar,
    is_required    character(1)           DEFAULT NULL::bpchar,
    is_insert      character(1)           DEFAULT NULL::bpchar,
    is_edit        character(1)           DEFAULT NULL::bpchar,
    is_list        character(1)           DEFAULT NULL::bpchar,
    is_query       character(1)           DEFAULT NULL::bpchar,
    query_type     character varying(200) DEFAULT 'EQ'::character varying,
    html_type      character varying(200) DEFAULT NULL::character varying,
    dict_type      character varying(200) DEFAULT ''::character varying,
    sort           integer,
    version        integer                DEFAULT 0,
    create_by      bigint,
    create_time    timestamp without time zone,
    update_by      bigint,
    update_time    timestamp without time zone
);


ALTER TABLE public.gen_table_column
    OWNER TO postgres;

--
-- Name: TABLE gen_table_column; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.gen_table_column IS '代码生成业务表字段';


--
-- Name: COLUMN gen_table_column.column_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_id IS '编号';


--
-- Name: COLUMN gen_table_column.table_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.table_id IS '归属表编号';


--
-- Name: COLUMN gen_table_column.column_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_name IS '列名称';


--
-- Name: COLUMN gen_table_column.column_comment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_comment IS '列描述';


--
-- Name: COLUMN gen_table_column.column_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_type IS '列类型';


--
-- Name: COLUMN gen_table_column.java_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.java_type IS 'JAVA类型';


--
-- Name: COLUMN gen_table_column.java_field; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.java_field IS 'JAVA字段名';


--
-- Name: COLUMN gen_table_column.is_pk; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_pk IS '是否主键（1是）';


--
-- Name: COLUMN gen_table_column.is_increment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_increment IS '是否自增（1是）';


--
-- Name: COLUMN gen_table_column.is_required; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_required IS '是否必填（1是）';


--
-- Name: COLUMN gen_table_column.is_insert; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_insert IS '是否为插入字段（1是）';


--
-- Name: COLUMN gen_table_column.is_edit; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_edit IS '是否编辑字段（1是）';


--
-- Name: COLUMN gen_table_column.is_list; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_list IS '是否列表字段（1是）';


--
-- Name: COLUMN gen_table_column.is_query; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_query IS '是否查询字段（1是）';


--
-- Name: COLUMN gen_table_column.query_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.query_type IS '查询方式（等于、不等于、大于、小于、范围）';


--
-- Name: COLUMN gen_table_column.html_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.html_type IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';


--
-- Name: COLUMN gen_table_column.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.dict_type IS '字典类型';


--
-- Name: COLUMN gen_table_column.sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.sort IS '排序';


--
-- Name: COLUMN gen_table_column.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.version IS '乐观锁';


--
-- Name: COLUMN gen_table_column.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.create_by IS '创建者';


--
-- Name: COLUMN gen_table_column.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.create_time IS '创建时间';


--
-- Name: COLUMN gen_table_column.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.update_by IS '更新者';


--
-- Name: COLUMN gen_table_column.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.update_time IS '更新时间';


--
-- Name: mf_customer; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_customer
(
    customer_id   bigint                                               NOT NULL,
    tenant_id     bigint                 DEFAULT '0'::bigint           NOT NULL,
    customer_name character varying(30)  DEFAULT ''::character varying NOT NULL,
    phonenumber   character varying(11)  DEFAULT NULL::character varying,
    gender        character(1)           DEFAULT NULL::bpchar,
    birthday      timestamp without time zone,
    remark        character varying(500) DEFAULT NULL::character varying,
    version       integer                DEFAULT 0                     NOT NULL,
    del_flag      smallint               DEFAULT '0'::smallint         NOT NULL,
    create_by     bigint,
    create_time   timestamp without time zone,
    update_by     bigint,
    update_time   timestamp without time zone
);


ALTER TABLE public.mf_customer
    OWNER TO postgres;

--
-- Name: TABLE mf_customer; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_customer IS '客户主表';


--
-- Name: COLUMN mf_customer.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.customer_id IS '客户id';


--
-- Name: COLUMN mf_customer.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_customer.customer_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.customer_name IS '客户姓名';


--
-- Name: COLUMN mf_customer.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.phonenumber IS '手机号码';


--
-- Name: COLUMN mf_customer.gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.gender IS '客户性别';


--
-- Name: COLUMN mf_customer.birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.birthday IS '客户生日';


--
-- Name: COLUMN mf_customer.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.remark IS '客户描述';


--
-- Name: COLUMN mf_customer.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.version IS '乐观锁';


--
-- Name: COLUMN mf_customer.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_customer.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.create_by IS '创建者';


--
-- Name: COLUMN mf_customer.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.create_time IS '创建时间';


--
-- Name: COLUMN mf_customer.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.update_by IS '更新者';


--
-- Name: COLUMN mf_customer.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.update_time IS '更新时间';


--
-- Name: mf_goods; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_goods
(
    goods_id    bigint                                    NOT NULL,
    tenant_id   bigint                DEFAULT '0'::bigint NOT NULL,
    customer_id bigint                                    NOT NULL,
    name        character varying(30) DEFAULT NULL::character varying,
    weight      integer               DEFAULT 0,
    price       numeric(6, 2)         DEFAULT NULL::numeric,
    date        timestamp without time zone,
    type        character(1)          DEFAULT NULL::bpchar,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.mf_goods
    OWNER TO postgres;

--
-- Name: TABLE mf_goods; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_goods IS '商品子表';


--
-- Name: COLUMN mf_goods.goods_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.goods_id IS '商品id';


--
-- Name: COLUMN mf_goods.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_goods.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.customer_id IS '客户id';


--
-- Name: COLUMN mf_goods.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.name IS '商品名称';


--
-- Name: COLUMN mf_goods.weight; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.weight IS '商品重量';


--
-- Name: COLUMN mf_goods.price; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.price IS '商品价格';


--
-- Name: COLUMN mf_goods.date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.date IS '商品时间';


--
-- Name: COLUMN mf_goods.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.type IS '商品种类';


--
-- Name: COLUMN mf_goods.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.create_by IS '创建者';


--
-- Name: COLUMN mf_goods.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.create_time IS '创建时间';


--
-- Name: COLUMN mf_goods.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.update_by IS '更新者';


--
-- Name: COLUMN mf_goods.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.update_time IS '更新时间';


--
-- Name: mf_product; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_product
(
    product_id   bigint                             NOT NULL,
    tenant_id    bigint       DEFAULT '0'::bigint   NOT NULL,
    parent_id    bigint       DEFAULT 0,
    product_name character varying(30)              NOT NULL,
    order_num    integer      DEFAULT 0,
    status       character(1) DEFAULT '0'::bpchar,
    version      integer      DEFAULT 0             NOT NULL,
    del_flag     smallint     DEFAULT '0'::smallint NOT NULL,
    create_by    bigint,
    create_time  timestamp without time zone,
    update_by    bigint,
    update_time  timestamp without time zone
);


ALTER TABLE public.mf_product
    OWNER TO postgres;

--
-- Name: TABLE mf_product; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_product IS '产品树表';


--
-- Name: COLUMN mf_product.product_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.product_id IS '产品id';


--
-- Name: COLUMN mf_product.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_product.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.parent_id IS '父产品id';


--
-- Name: COLUMN mf_product.product_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.product_name IS '产品名称';


--
-- Name: COLUMN mf_product.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.order_num IS '显示顺序';


--
-- Name: COLUMN mf_product.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.status IS '产品状态（0正常 1停用）';


--
-- Name: COLUMN mf_product.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.version IS '乐观锁';


--
-- Name: COLUMN mf_product.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_product.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.create_by IS '创建者';


--
-- Name: COLUMN mf_product.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.create_time IS '创建时间';


--
-- Name: COLUMN mf_product.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.update_by IS '更新者';


--
-- Name: COLUMN mf_product.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.update_time IS '更新时间';


--
-- Name: mf_student; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_student
(
    student_id       bigint                           NOT NULL,
    tenant_id        bigint       DEFAULT '0'::bigint NOT NULL,
    student_name     character varying(30)            NOT NULL,
    student_age      integer,
    student_hobby    character varying(30)            NOT NULL,
    student_gender   character(1)                     NOT NULL,
    student_status   character(1) DEFAULT '0'::bpchar,
    student_birthday timestamp without time zone,
    version          integer      DEFAULT 0,
    del_flag         smallint     DEFAULT '0'::smallint,
    create_by        bigint,
    create_time      timestamp without time zone,
    update_by        bigint,
    update_time      timestamp without time zone
);


ALTER TABLE public.mf_student
    OWNER TO postgres;

--
-- Name: TABLE mf_student; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_student IS '学生信息单表';


--
-- Name: COLUMN mf_student.student_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_id IS '编号';


--
-- Name: COLUMN mf_student.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_student.student_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_name IS '学生名称';


--
-- Name: COLUMN mf_student.student_age; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_age IS '年龄';


--
-- Name: COLUMN mf_student.student_hobby; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_hobby IS '爱好（0代码 1音乐 2电影）';


--
-- Name: COLUMN mf_student.student_gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_gender IS '性别（1男 2女 3未知）';


--
-- Name: COLUMN mf_student.student_status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_status IS '状态（0正常 1停用）';


--
-- Name: COLUMN mf_student.student_birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_birthday IS '生日';


--
-- Name: COLUMN mf_student.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.version IS '乐观锁';


--
-- Name: COLUMN mf_student.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_student.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.create_by IS '创建者';


--
-- Name: COLUMN mf_student.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.create_time IS '创建时间';


--
-- Name: COLUMN mf_student.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.update_by IS '更新者';


--
-- Name: COLUMN mf_student.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.update_time IS '更新时间';


--
-- Name: pj_app_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_app_info
(
    id             bigint NOT NULL,
    app_name       character varying(255) DEFAULT NULL::character varying,
    current_server character varying(255) DEFAULT NULL::character varying,
    gmt_create     timestamp without time zone,
    gmt_modified   timestamp without time zone,
    password       character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_app_info
    OWNER TO postgres;

--
-- Name: pj_container_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_container_info
(
    id               bigint NOT NULL,
    app_id           bigint,
    container_name   character varying(255) DEFAULT NULL::character varying,
    gmt_create       timestamp without time zone,
    gmt_modified     timestamp without time zone,
    last_deploy_time timestamp without time zone,
    source_info      character varying(255) DEFAULT NULL::character varying,
    source_type      integer,
    status           integer,
    version          character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_container_info
    OWNER TO postgres;

--
-- Name: pj_instance_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_instance_info
(
    id                    bigint NOT NULL,
    actual_trigger_time   bigint,
    app_id                bigint,
    expected_trigger_time bigint,
    finished_time         bigint,
    gmt_create            timestamp without time zone,
    gmt_modified          timestamp without time zone,
    instance_id           bigint,
    instance_params       text,
    job_id                bigint,
    job_params            text,
    last_report_time      bigint,
    result                text,
    running_times         bigint,
    status                integer,
    task_tracker_address  character varying(255) DEFAULT NULL::character varying,
    type                  integer,
    wf_instance_id        bigint
);


ALTER TABLE public.pj_instance_info
    OWNER TO postgres;

--
-- Name: pj_job_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_job_info
(
    id                   bigint           NOT NULL,
    alarm_config         character varying(255) DEFAULT NULL::character varying,
    app_id               bigint,
    concurrency          integer,
    designated_workers   character varying(255) DEFAULT NULL::character varying,
    dispatch_strategy    integer,
    execute_type         integer,
    extra                character varying(255) DEFAULT NULL::character varying,
    gmt_create           timestamp without time zone,
    gmt_modified         timestamp without time zone,
    instance_retry_num   integer,
    instance_time_limit  bigint,
    job_description      character varying(255) DEFAULT NULL::character varying,
    job_name             character varying(255) DEFAULT NULL::character varying,
    job_params           text,
    lifecycle            character varying(255) DEFAULT NULL::character varying,
    log_config           character varying(255) DEFAULT NULL::character varying,
    max_instance_num     integer,
    max_worker_count     integer,
    min_cpu_cores        double precision NOT NULL,
    min_disk_space       double precision NOT NULL,
    min_memory_space     double precision NOT NULL,
    next_trigger_time    bigint,
    notify_user_ids      character varying(255) DEFAULT NULL::character varying,
    processor_info       character varying(255) DEFAULT NULL::character varying,
    processor_type       integer,
    status               integer,
    tag                  character varying(255) DEFAULT NULL::character varying,
    task_retry_num       integer,
    time_expression      character varying(255) DEFAULT NULL::character varying,
    time_expression_type integer
);


ALTER TABLE public.pj_job_info
    OWNER TO postgres;

--
-- Name: pj_oms_lock; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_oms_lock
(
    id            bigint NOT NULL,
    gmt_create    timestamp without time zone,
    gmt_modified  timestamp without time zone,
    lock_name     character varying(255) DEFAULT NULL::character varying,
    max_lock_time bigint,
    ownerip       character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_oms_lock
    OWNER TO postgres;

--
-- Name: pj_server_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_server_info
(
    id           bigint NOT NULL,
    gmt_create   timestamp without time zone,
    gmt_modified timestamp without time zone,
    ip           character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_server_info
    OWNER TO postgres;

--
-- Name: pj_user_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_user_info
(
    id           bigint NOT NULL,
    email        character varying(255) DEFAULT NULL::character varying,
    extra        character varying(255) DEFAULT NULL::character varying,
    gmt_create   timestamp without time zone,
    gmt_modified timestamp without time zone,
    password     character varying(255) DEFAULT NULL::character varying,
    phone        character varying(255) DEFAULT NULL::character varying,
    username     character varying(255) DEFAULT NULL::character varying,
    web_hook     character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_user_info
    OWNER TO postgres;

--
-- Name: pj_workflow_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_info
(
    id                   bigint NOT NULL,
    app_id               bigint,
    extra                character varying(255) DEFAULT NULL::character varying,
    gmt_create           timestamp without time zone,
    gmt_modified         timestamp without time zone,
    lifecycle            character varying(255) DEFAULT NULL::character varying,
    max_wf_instance_num  integer,
    next_trigger_time    bigint,
    notify_user_ids      character varying(255) DEFAULT NULL::character varying,
    pedag                text,
    status               integer,
    time_expression      character varying(255) DEFAULT NULL::character varying,
    time_expression_type integer,
    wf_description       character varying(255) DEFAULT NULL::character varying,
    wf_name              character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_workflow_info
    OWNER TO postgres;

--
-- Name: pj_workflow_instance_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_instance_info
(
    id                    bigint NOT NULL,
    actual_trigger_time   bigint,
    app_id                bigint,
    dag                   text,
    expected_trigger_time bigint,
    finished_time         bigint,
    gmt_create            timestamp without time zone,
    gmt_modified          timestamp without time zone,
    parent_wf_instance_id bigint,
    result                text,
    status                integer,
    wf_context            text,
    wf_init_params        text,
    wf_instance_id        bigint,
    workflow_id           bigint
);


ALTER TABLE public.pj_workflow_instance_info
    OWNER TO postgres;

--
-- Name: pj_workflow_node_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_node_info
(
    id               bigint                      NOT NULL,
    app_id           bigint                      NOT NULL,
    enable           boolean                     NOT NULL,
    extra            text,
    gmt_create       timestamp without time zone NOT NULL,
    gmt_modified     timestamp without time zone NOT NULL,
    job_id           bigint,
    node_name        character varying(255) DEFAULT NULL::character varying,
    node_params      text,
    skip_when_failed boolean                     NOT NULL,
    type             integer,
    workflow_id      bigint
);


ALTER TABLE public.pj_workflow_node_info
    OWNER TO postgres;

--
-- Name: sys_client; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_client
(
    id             bigint NOT NULL,
    client_id      character varying(64)  DEFAULT ''::character varying,
    client_key     character varying(32)  DEFAULT ''::character varying,
    client_secret  character varying(255) DEFAULT ''::character varying,
    grant_type     character varying(255) DEFAULT ''::character varying,
    device_type    character varying(32)  DEFAULT ''::character varying,
    active_timeout integer                DEFAULT 1800,
    timeout        integer                DEFAULT 604800,
    status         character(1)           DEFAULT '0'::bpchar,
    version        integer                DEFAULT 0,
    del_flag       smallint               DEFAULT 0,
    create_by      bigint,
    create_time    timestamp without time zone,
    update_by      bigint,
    update_time    timestamp without time zone
);


ALTER TABLE public.sys_client
    OWNER TO postgres;

--
-- Name: TABLE sys_client; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_client IS '系统授权表';


--
-- Name: COLUMN sys_client.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.id IS '主建';


--
-- Name: COLUMN sys_client.client_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_id IS '客户端id';


--
-- Name: COLUMN sys_client.client_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_key IS '客户端key';


--
-- Name: COLUMN sys_client.client_secret; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_secret IS '客户端秘钥';


--
-- Name: COLUMN sys_client.grant_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.grant_type IS '授权类型';


--
-- Name: COLUMN sys_client.device_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.device_type IS '设备类型';


--
-- Name: COLUMN sys_client.active_timeout; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.active_timeout IS 'token活跃超时时间';


--
-- Name: COLUMN sys_client.timeout; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.timeout IS 'token固定超时';


--
-- Name: COLUMN sys_client.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_client.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.version IS '乐观锁';


--
-- Name: COLUMN sys_client.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_client.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.create_by IS '创建者';


--
-- Name: COLUMN sys_client.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.create_time IS '创建时间';


--
-- Name: COLUMN sys_client.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.update_by IS '更新者';


--
-- Name: COLUMN sys_client.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.update_time IS '更新时间';


--
-- Name: sys_config; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_config
(
    config_id    bigint                                     NOT NULL,
    tenant_id    bigint                 DEFAULT '0'::bigint NOT NULL,
    config_name  character varying(100) DEFAULT ''::character varying,
    config_key   character varying(100) DEFAULT ''::character varying,
    config_value character varying(500) DEFAULT ''::character varying,
    config_type  character(1)           DEFAULT 'N'::bpchar,
    version      integer                DEFAULT 0,
    create_by    bigint,
    create_time  timestamp without time zone,
    update_by    bigint,
    update_time  timestamp without time zone,
    remark       character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_config
    OWNER TO postgres;

--
-- Name: TABLE sys_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_config IS '参数配置表';


--
-- Name: COLUMN sys_config.config_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_id IS '参数主键';


--
-- Name: COLUMN sys_config.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_config.config_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_name IS '参数名称';


--
-- Name: COLUMN sys_config.config_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_key IS '参数键名';


--
-- Name: COLUMN sys_config.config_value; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_value IS '参数键值';


--
-- Name: COLUMN sys_config.config_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_type IS '系统内置（Y是 N否）';


--
-- Name: COLUMN sys_config.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.version IS '乐观锁';


--
-- Name: COLUMN sys_config.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.create_by IS '创建者';


--
-- Name: COLUMN sys_config.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.create_time IS '创建时间';


--
-- Name: COLUMN sys_config.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.update_by IS '更新者';


--
-- Name: COLUMN sys_config.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.update_time IS '更新时间';


--
-- Name: COLUMN sys_config.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.remark IS '备注';


--
-- Name: sys_dept; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dept
(
    dept_id     bigint NOT NULL,
    tenant_id   bigint                 DEFAULT 0,
    parent_id   bigint                 DEFAULT 0,
    ancestors   character varying(760) DEFAULT ''::character varying,
    dept_name   character varying(30)  DEFAULT ''::character varying,
    order_num   integer                DEFAULT 0,
    leader      character varying(20)  DEFAULT ''::character varying,
    phone       character varying(11)  DEFAULT NULL::character varying,
    email       character varying(50)  DEFAULT NULL::character varying,
    status      character(1)           DEFAULT '0'::bpchar,
    version     integer                DEFAULT 0,
    del_flag    smallint               DEFAULT 0,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_dept
    OWNER TO postgres;

--
-- Name: TABLE sys_dept; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dept IS '部门表';


--
-- Name: COLUMN sys_dept.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.dept_id IS '部门ID';


--
-- Name: COLUMN sys_dept.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dept.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.parent_id IS '父部门ID';


--
-- Name: COLUMN sys_dept.ancestors; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.ancestors IS '祖级列表';


--
-- Name: COLUMN sys_dept.dept_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.dept_name IS '部门名称';


--
-- Name: COLUMN sys_dept.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.order_num IS '显示顺序';


--
-- Name: COLUMN sys_dept.leader; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.leader IS '负责人';


--
-- Name: COLUMN sys_dept.phone; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.phone IS '联系电话';


--
-- Name: COLUMN sys_dept.email; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.email IS '邮箱';


--
-- Name: COLUMN sys_dept.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.status IS '部门状态（0正常 1停用）';


--
-- Name: COLUMN sys_dept.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.version IS '乐观锁';


--
-- Name: COLUMN sys_dept.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_dept.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.create_by IS '创建者';


--
-- Name: COLUMN sys_dept.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.create_time IS '创建时间';


--
-- Name: COLUMN sys_dept.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.update_by IS '更新者';


--
-- Name: COLUMN sys_dept.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.update_time IS '更新时间';


--
-- Name: sys_dict_data; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dict_data
(
    dict_code   bigint                                     NOT NULL,
    tenant_id   bigint                 DEFAULT '0'::bigint NOT NULL,
    dict_sort   integer                DEFAULT 0,
    dict_label  character varying(100) DEFAULT ''::character varying,
    dict_value  character varying(100) DEFAULT ''::character varying,
    dict_type   character varying(100) DEFAULT ''::character varying,
    css_class   character varying(100) DEFAULT NULL::character varying,
    list_class  character varying(100) DEFAULT NULL::character varying,
    is_default  character(1)           DEFAULT 'N'::bpchar,
    version     integer                DEFAULT 0,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone,
    remark      character varying(2000) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_dict_data
    OWNER TO postgres;

--
-- Name: TABLE sys_dict_data; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dict_data IS '字典数据表';


--
-- Name: COLUMN sys_dict_data.dict_code; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_code IS '字典编码';


--
-- Name: COLUMN sys_dict_data.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dict_data.dict_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_sort IS '字典排序';


--
-- Name: COLUMN sys_dict_data.dict_label; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_label IS '字典标签';


--
-- Name: COLUMN sys_dict_data.dict_value; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_value IS '字典键值';


--
-- Name: COLUMN sys_dict_data.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_type IS '字典类型';


--
-- Name: COLUMN sys_dict_data.css_class; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.css_class IS '样式属性（其他样式扩展）';


--
-- Name: COLUMN sys_dict_data.list_class; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.list_class IS '表格回显样式';


--
-- Name: COLUMN sys_dict_data.is_default; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.is_default IS '是否默认（Y是 N否）';


--
-- Name: COLUMN sys_dict_data.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.version IS '乐观锁';


--
-- Name: COLUMN sys_dict_data.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.create_by IS '创建者';


--
-- Name: COLUMN sys_dict_data.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.create_time IS '创建时间';


--
-- Name: COLUMN sys_dict_data.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.update_by IS '更新者';


--
-- Name: COLUMN sys_dict_data.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.update_time IS '更新时间';


--
-- Name: COLUMN sys_dict_data.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.remark IS '备注';


--
-- Name: sys_dict_type; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dict_type
(
    dict_id     bigint                                     NOT NULL,
    tenant_id   bigint                 DEFAULT '0'::bigint NOT NULL,
    dict_name   character varying(100) DEFAULT ''::character varying,
    dict_type   character varying(100) DEFAULT ''::character varying,
    version     integer                DEFAULT 0,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone,
    remark      character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_dict_type
    OWNER TO postgres;

--
-- Name: TABLE sys_dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dict_type IS '字典类型表';


--
-- Name: COLUMN sys_dict_type.dict_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_id IS '字典主键';


--
-- Name: COLUMN sys_dict_type.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dict_type.dict_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_name IS '字典名称';


--
-- Name: COLUMN sys_dict_type.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_type IS '字典类型';


--
-- Name: COLUMN sys_dict_type.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.version IS '乐观锁';


--
-- Name: COLUMN sys_dict_type.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.create_by IS '创建者';


--
-- Name: COLUMN sys_dict_type.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.create_time IS '创建时间';


--
-- Name: COLUMN sys_dict_type.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.update_by IS '更新者';


--
-- Name: COLUMN sys_dict_type.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.update_time IS '更新时间';


--
-- Name: COLUMN sys_dict_type.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.remark IS '备注';


--
-- Name: sys_logininfor; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_logininfor
(
    info_id        bigint                                     NOT NULL,
    tenant_id      bigint                 DEFAULT '0'::bigint NOT NULL,
    user_name      character varying(50)  DEFAULT ''::character varying,
    client_key     character varying(32)  DEFAULT ''::character varying,
    device_type    character varying(32)  DEFAULT ''::character varying,
    ipaddr         character varying(128) DEFAULT ''::character varying,
    login_location character varying(255) DEFAULT ''::character varying,
    browser        character varying(50)  DEFAULT ''::character varying,
    os             character varying(50)  DEFAULT ''::character varying,
    status         character(1)           DEFAULT '0'::bpchar,
    msg            character varying(255) DEFAULT ''::character varying,
    login_time     timestamp without time zone
);


ALTER TABLE public.sys_logininfor
    OWNER TO postgres;

--
-- Name: TABLE sys_logininfor; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_logininfor IS '系统访问记录';


--
-- Name: COLUMN sys_logininfor.info_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.info_id IS '访问ID';


--
-- Name: COLUMN sys_logininfor.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_logininfor.user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.user_name IS '用户账号';


--
-- Name: COLUMN sys_logininfor.client_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.client_key IS '客户端';


--
-- Name: COLUMN sys_logininfor.device_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.device_type IS '设备类型';


--
-- Name: COLUMN sys_logininfor.ipaddr; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.ipaddr IS '登录IP地址';


--
-- Name: COLUMN sys_logininfor.login_location; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.login_location IS '登录地点';


--
-- Name: COLUMN sys_logininfor.browser; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.browser IS '浏览器类型';


--
-- Name: COLUMN sys_logininfor.os; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.os IS '操作系统';


--
-- Name: COLUMN sys_logininfor.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.status IS '登录状态（0成功 1失败）';


--
-- Name: COLUMN sys_logininfor.msg; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.msg IS '提示消息';


--
-- Name: COLUMN sys_logininfor.login_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.login_time IS '访问时间';


--
-- Name: sys_menu; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_menu
(
    menu_id        bigint                NOT NULL,
    menu_name      character varying(50) NOT NULL,
    parent_id      bigint                 DEFAULT 0,
    order_num      integer                DEFAULT 0,
    path           character varying(200) DEFAULT ''::character varying,
    component      character varying(255) DEFAULT NULL::character varying,
    component_name character varying(255) DEFAULT NULL::character varying,
    query_param    character varying(255) DEFAULT NULL::character varying,
    is_frame       character(1)           DEFAULT '1'::bpchar,
    is_cache       character(1)           DEFAULT '0'::bpchar,
    menu_type      character(1)           DEFAULT ''::bpchar,
    visible        character(1)           DEFAULT '0'::bpchar,
    status         character(1)           DEFAULT '0'::bpchar,
    perms          character varying(100) DEFAULT NULL::character varying,
    icon           character varying(100) DEFAULT '#'::character varying,
    version        integer                DEFAULT 0,
    create_by      bigint,
    create_time    timestamp without time zone,
    update_by      bigint,
    update_time    timestamp without time zone,
    remark         character varying(500) DEFAULT ''::character varying
);


ALTER TABLE public.sys_menu
    OWNER TO postgres;

--
-- Name: TABLE sys_menu; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_menu IS '菜单权限表';


--
-- Name: COLUMN sys_menu.menu_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_id IS '菜单ID';


--
-- Name: COLUMN sys_menu.menu_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_name IS '菜单名称';


--
-- Name: COLUMN sys_menu.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.parent_id IS '父菜单ID';


--
-- Name: COLUMN sys_menu.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.order_num IS '显示顺序';


--
-- Name: COLUMN sys_menu.path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.path IS '路由地址';


--
-- Name: COLUMN sys_menu.component; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.component IS '组件路径';


--
-- Name: COLUMN sys_menu.component_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.component_name IS '组件名称';


--
-- Name: COLUMN sys_menu.query_param; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.query_param IS '路由参数';


--
-- Name: COLUMN sys_menu.is_frame; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.is_frame IS '是否为外链（0是 1否）';


--
-- Name: COLUMN sys_menu.is_cache; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.is_cache IS '是否缓存（0缓存 1不缓存）';


--
-- Name: COLUMN sys_menu.menu_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_type IS '菜单类型（M目录 C菜单 F按钮）';


--
-- Name: COLUMN sys_menu.visible; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.visible IS '显示状态（0显示 1隐藏）';


--
-- Name: COLUMN sys_menu.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.status IS '菜单状态（0正常 1停用）';


--
-- Name: COLUMN sys_menu.perms; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.perms IS '权限标识';


--
-- Name: COLUMN sys_menu.icon; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.icon IS '菜单图标';


--
-- Name: COLUMN sys_menu.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.version IS '乐观锁';


--
-- Name: COLUMN sys_menu.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.create_by IS '创建者';


--
-- Name: COLUMN sys_menu.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.create_time IS '创建时间';


--
-- Name: COLUMN sys_menu.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.update_by IS '更新者';


--
-- Name: COLUMN sys_menu.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.update_time IS '更新时间';


--
-- Name: COLUMN sys_menu.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.remark IS '备注';


--
-- Name: sys_notice; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_notice
(
    notice_id      bigint                                     NOT NULL,
    tenant_id      bigint                 DEFAULT '0'::bigint NOT NULL,
    notice_title   character varying(50)                      NOT NULL,
    notice_type    character(1)                               NOT NULL,
    notice_content text,
    status         character(1)           DEFAULT '0'::bpchar,
    version        integer                DEFAULT 0,
    create_by      bigint,
    create_time    timestamp without time zone,
    update_by      bigint,
    update_time    timestamp without time zone,
    remark         character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_notice
    OWNER TO postgres;

--
-- Name: TABLE sys_notice; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_notice IS '通知公告表';


--
-- Name: COLUMN sys_notice.notice_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_id IS '公告ID';


--
-- Name: COLUMN sys_notice.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_notice.notice_title; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_title IS '公告标题';


--
-- Name: COLUMN sys_notice.notice_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_type IS '公告类型（1通知 2公告）';


--
-- Name: COLUMN sys_notice.notice_content; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_content IS '公告内容';


--
-- Name: COLUMN sys_notice.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.status IS '公告状态（0正常 1关闭）';


--
-- Name: COLUMN sys_notice.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.version IS '乐观锁';


--
-- Name: COLUMN sys_notice.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.create_by IS '创建者';


--
-- Name: COLUMN sys_notice.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.create_time IS '创建时间';


--
-- Name: COLUMN sys_notice.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.update_by IS '更新者';


--
-- Name: COLUMN sys_notice.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.update_time IS '更新时间';


--
-- Name: COLUMN sys_notice.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.remark IS '备注';


--
-- Name: sys_oper_log; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oper_log
(
    oper_id        bigint                                      NOT NULL,
    tenant_id      bigint                  DEFAULT '0'::bigint NOT NULL,
    title          character varying(50)   DEFAULT ''::character varying,
    business_type  integer                 DEFAULT 0,
    method         character varying(100)  DEFAULT ''::character varying,
    request_method character varying(10)   DEFAULT ''::character varying,
    operator_type  integer                 DEFAULT 0,
    oper_name      character varying(50)   DEFAULT ''::character varying,
    dept_name      character varying(50)   DEFAULT ''::character varying,
    oper_url       character varying(255)  DEFAULT ''::character varying,
    oper_ip        character varying(128)  DEFAULT ''::character varying,
    oper_location  character varying(255)  DEFAULT ''::character varying,
    oper_param     character varying(2000) DEFAULT ''::character varying,
    json_result    character varying(2000) DEFAULT ''::character varying,
    status         integer                 DEFAULT 0,
    error_msg      character varying(2000) DEFAULT ''::character varying,
    oper_time      timestamp without time zone,
    cost_time      bigint                  DEFAULT 0
);


ALTER TABLE public.sys_oper_log
    OWNER TO postgres;

--
-- Name: TABLE sys_oper_log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oper_log IS '操作日志记录';


--
-- Name: COLUMN sys_oper_log.oper_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_id IS '日志主键';


--
-- Name: COLUMN sys_oper_log.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_oper_log.title; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.title IS '模块标题';


--
-- Name: COLUMN sys_oper_log.business_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.business_type IS '业务类型（0其它 1新增 2修改 3删除）';


--
-- Name: COLUMN sys_oper_log.method; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.method IS '方法名称';


--
-- Name: COLUMN sys_oper_log.request_method; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.request_method IS '请求方式';


--
-- Name: COLUMN sys_oper_log.operator_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.operator_type IS '操作类别（0其它 1后台用户 2手机端用户）';


--
-- Name: COLUMN sys_oper_log.oper_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_name IS '操作人员';


--
-- Name: COLUMN sys_oper_log.dept_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.dept_name IS '部门名称';


--
-- Name: COLUMN sys_oper_log.oper_url; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_url IS '请求URL';


--
-- Name: COLUMN sys_oper_log.oper_ip; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_ip IS '主机地址';


--
-- Name: COLUMN sys_oper_log.oper_location; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_location IS '操作地点';


--
-- Name: COLUMN sys_oper_log.oper_param; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_param IS '请求参数';


--
-- Name: COLUMN sys_oper_log.json_result; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.json_result IS '返回参数';


--
-- Name: COLUMN sys_oper_log.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.status IS '操作状态（0正常 1异常）';


--
-- Name: COLUMN sys_oper_log.error_msg; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.error_msg IS '错误消息';


--
-- Name: COLUMN sys_oper_log.oper_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_time IS '操作时间';


--
-- Name: COLUMN sys_oper_log.cost_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.cost_time IS '消耗时间';


--
-- Name: sys_oss; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oss
(
    oss_id        bigint                                               NOT NULL,
    tenant_id     bigint                 DEFAULT '0'::bigint           NOT NULL,
    file_name     character varying(255) DEFAULT ''::character varying NOT NULL,
    original_name character varying(255) DEFAULT ''::character varying NOT NULL,
    file_suffix   character varying(10)  DEFAULT ''::character varying NOT NULL,
    url           character varying(500) DEFAULT ''::character varying NOT NULL,
    service       character varying(20)  DEFAULT 'minio'::character varying,
    version       integer                DEFAULT 0,
    create_by     bigint,
    create_time   timestamp without time zone,
    update_by     bigint,
    update_time   timestamp without time zone
);


ALTER TABLE public.sys_oss
    OWNER TO postgres;

--
-- Name: TABLE sys_oss; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oss IS 'OSS对象存储表';


--
-- Name: COLUMN sys_oss.oss_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.oss_id IS '对象存储主键';


--
-- Name: COLUMN sys_oss.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.tenant_id IS '租户编码';


--
-- Name: COLUMN sys_oss.file_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.file_name IS '文件名';


--
-- Name: COLUMN sys_oss.original_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.original_name IS '原名';


--
-- Name: COLUMN sys_oss.file_suffix; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.file_suffix IS '文件后缀名';


--
-- Name: COLUMN sys_oss.url; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.url IS 'URL地址';


--
-- Name: COLUMN sys_oss.service; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.service IS '服务商';


--
-- Name: COLUMN sys_oss.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.version IS '乐观锁';


--
-- Name: COLUMN sys_oss.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.create_by IS '上传人';


--
-- Name: COLUMN sys_oss.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.create_time IS '创建时间';


--
-- Name: COLUMN sys_oss.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.update_by IS '更新者';


--
-- Name: COLUMN sys_oss.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.update_time IS '更新时间';


--
-- Name: sys_oss_config; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oss_config
(
    oss_config_id bigint                                               NOT NULL,
    tenant_id     bigint                 DEFAULT '0'::bigint           NOT NULL,
    config_key    character varying(20)  DEFAULT ''::character varying NOT NULL,
    access_key    character varying(255) DEFAULT ''::character varying,
    secret_key    character varying(255) DEFAULT ''::character varying,
    bucket_name   character varying(255) DEFAULT ''::character varying,
    prefix        character varying(255) DEFAULT ''::character varying,
    endpoint      character varying(255) DEFAULT ''::character varying,
    domain        character varying(255) DEFAULT ''::character varying,
    is_https      character(1)           DEFAULT 'N'::bpchar,
    region        character varying(255) DEFAULT ''::character varying,
    access_policy character(1)           DEFAULT '1'::bpchar           NOT NULL,
    status        character(1)           DEFAULT '1'::bpchar,
    ext1          character varying(255) DEFAULT ''::character varying,
    version       integer                DEFAULT 0,
    create_by     bigint,
    create_time   timestamp without time zone,
    update_by     bigint,
    update_time   timestamp without time zone,
    remark        character varying(500) DEFAULT ''::character varying
);


ALTER TABLE public.sys_oss_config
    OWNER TO postgres;

--
-- Name: TABLE sys_oss_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oss_config IS '对象存储配置表';


--
-- Name: COLUMN sys_oss_config.oss_config_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.oss_config_id IS '主建';


--
-- Name: COLUMN sys_oss_config.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.tenant_id IS '租户编码';


--
-- Name: COLUMN sys_oss_config.config_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.config_key IS '配置key';


--
-- Name: COLUMN sys_oss_config.access_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.access_key IS 'accessKey';


--
-- Name: COLUMN sys_oss_config.secret_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.secret_key IS '秘钥';


--
-- Name: COLUMN sys_oss_config.bucket_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.bucket_name IS '桶名称';


--
-- Name: COLUMN sys_oss_config.prefix; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.prefix IS '前缀';


--
-- Name: COLUMN sys_oss_config.endpoint; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.endpoint IS '访问站点';


--
-- Name: COLUMN sys_oss_config.domain; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.domain IS '自定义域名';


--
-- Name: COLUMN sys_oss_config.is_https; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.is_https IS '是否https（Y=是,N=否）';


--
-- Name: COLUMN sys_oss_config.region; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.region IS '域';


--
-- Name: COLUMN sys_oss_config.access_policy; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.access_policy IS '桶权限类型(0=private 1=public 2=custom)';


--
-- Name: COLUMN sys_oss_config.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.status IS '是否默认（0=是,1=否）';


--
-- Name: COLUMN sys_oss_config.ext1; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.ext1 IS '扩展字段';


--
-- Name: COLUMN sys_oss_config.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.version IS '乐观锁';


--
-- Name: COLUMN sys_oss_config.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.create_by IS '创建者';


--
-- Name: COLUMN sys_oss_config.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.create_time IS '创建时间';


--
-- Name: COLUMN sys_oss_config.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.update_by IS '更新者';


--
-- Name: COLUMN sys_oss_config.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.update_time IS '更新时间';


--
-- Name: COLUMN sys_oss_config.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.remark IS '备注';


--
-- Name: sys_post; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_post
(
    post_id     bigint                                     NOT NULL,
    tenant_id   bigint                 DEFAULT '0'::bigint NOT NULL,
    post_code   character varying(64)                      NOT NULL,
    post_name   character varying(50)                      NOT NULL,
    post_sort   integer                                    NOT NULL,
    status      character(1)                               NOT NULL,
    version     integer                DEFAULT 0,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone,
    remark      character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_post
    OWNER TO postgres;

--
-- Name: TABLE sys_post; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_post IS '岗位信息表';


--
-- Name: COLUMN sys_post.post_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_id IS '岗位ID';


--
-- Name: COLUMN sys_post.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_post.post_code; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_code IS '岗位编码';


--
-- Name: COLUMN sys_post.post_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_name IS '岗位名称';


--
-- Name: COLUMN sys_post.post_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_sort IS '显示顺序';


--
-- Name: COLUMN sys_post.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_post.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.version IS '乐观锁';


--
-- Name: COLUMN sys_post.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.create_by IS '创建者';


--
-- Name: COLUMN sys_post.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.create_time IS '创建时间';


--
-- Name: COLUMN sys_post.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.update_by IS '更新者';


--
-- Name: COLUMN sys_post.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.update_time IS '更新时间';


--
-- Name: COLUMN sys_post.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.remark IS '备注';


--
-- Name: sys_role; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role
(
    role_id             bigint                 NOT NULL,
    tenant_id           bigint                 DEFAULT 0,
    role_name           character varying(30)  NOT NULL,
    role_key            character varying(100) NOT NULL,
    role_sort           integer                NOT NULL,
    data_scope          character(1)           DEFAULT '1'::bpchar,
    menu_check_strictly boolean                DEFAULT true,
    dept_check_strictly boolean                DEFAULT true,
    status              character(1)           NOT NULL,
    version             integer                DEFAULT 0,
    del_flag            smallint               DEFAULT 0,
    create_by           bigint,
    create_time         timestamp without time zone,
    update_by           bigint,
    update_time         timestamp without time zone,
    remark              character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_role
    OWNER TO postgres;

--
-- Name: TABLE sys_role; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role IS '角色信息表';


--
-- Name: COLUMN sys_role.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_id IS '角色ID';


--
-- Name: COLUMN sys_role.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_role.role_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_name IS '角色名称';


--
-- Name: COLUMN sys_role.role_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_key IS '角色权限字符串';


--
-- Name: COLUMN sys_role.role_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_sort IS '显示顺序';


--
-- Name: COLUMN sys_role.data_scope; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.data_scope IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';


--
-- Name: COLUMN sys_role.menu_check_strictly; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.menu_check_strictly IS '菜单树选择项是否关联显示';


--
-- Name: COLUMN sys_role.dept_check_strictly; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.dept_check_strictly IS '部门树选择项是否关联显示';


--
-- Name: COLUMN sys_role.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.status IS '角色状态（0正常 1停用）';


--
-- Name: COLUMN sys_role.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.version IS '乐观锁';


--
-- Name: COLUMN sys_role.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_role.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.create_by IS '创建者';


--
-- Name: COLUMN sys_role.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.create_time IS '创建时间';


--
-- Name: COLUMN sys_role.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.update_by IS '更新者';


--
-- Name: COLUMN sys_role.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.update_time IS '更新时间';


--
-- Name: COLUMN sys_role.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.remark IS '备注';


--
-- Name: sys_role_dept; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role_dept
(
    role_id bigint NOT NULL,
    dept_id bigint NOT NULL
);


ALTER TABLE public.sys_role_dept
    OWNER TO postgres;

--
-- Name: TABLE sys_role_dept; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role_dept IS '角色和部门关联表';


--
-- Name: COLUMN sys_role_dept.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_dept.role_id IS '角色ID';


--
-- Name: COLUMN sys_role_dept.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_dept.dept_id IS '部门ID';


--
-- Name: sys_role_menu; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role_menu
(
    role_id bigint NOT NULL,
    menu_id bigint NOT NULL
);


ALTER TABLE public.sys_role_menu
    OWNER TO postgres;

--
-- Name: TABLE sys_role_menu; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role_menu IS '角色和菜单关联表';


--
-- Name: COLUMN sys_role_menu.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_menu.role_id IS '角色ID';


--
-- Name: COLUMN sys_role_menu.menu_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_menu.menu_id IS '菜单ID';


--
-- Name: sys_tenant; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_tenant
(
    tenant_id         bigint NOT NULL,
    contact_user_name character varying(20)  DEFAULT NULL::character varying,
    contact_phone     character varying(20)  DEFAULT NULL::character varying,
    company_name      character varying(50)  DEFAULT NULL::character varying,
    license_number    character varying(30)  DEFAULT NULL::character varying,
    address           character varying(200) DEFAULT NULL::character varying,
    intro             character varying(200) DEFAULT NULL::character varying,
    domain            character varying(200) DEFAULT NULL::character varying,
    remark            character varying(200) DEFAULT NULL::character varying,
    package_id        bigint,
    expire_time       timestamp without time zone,
    account_count     integer                DEFAULT '-1'::integer,
    status            character(1)           DEFAULT '0'::bpchar,
    version           integer                DEFAULT 0,
    del_flag          smallint               DEFAULT 0,
    create_by         bigint,
    create_time       timestamp without time zone,
    update_by         bigint,
    update_time       timestamp without time zone
);


ALTER TABLE public.sys_tenant
    OWNER TO postgres;

--
-- Name: TABLE sys_tenant; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_tenant IS '租户表';


--
-- Name: COLUMN sys_tenant.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_tenant.contact_user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.contact_user_name IS '联系人';


--
-- Name: COLUMN sys_tenant.contact_phone; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.contact_phone IS '联系电话';


--
-- Name: COLUMN sys_tenant.company_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.company_name IS '企业名称';


--
-- Name: COLUMN sys_tenant.license_number; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.license_number IS '统一社会信用代码';


--
-- Name: COLUMN sys_tenant.address; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.address IS '地址';


--
-- Name: COLUMN sys_tenant.intro; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.intro IS '企业简介';


--
-- Name: COLUMN sys_tenant.domain; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.domain IS '域名';


--
-- Name: COLUMN sys_tenant.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.remark IS '备注';


--
-- Name: COLUMN sys_tenant.package_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.package_id IS '租户套餐编号';


--
-- Name: COLUMN sys_tenant.expire_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.expire_time IS '过期时间';


--
-- Name: COLUMN sys_tenant.account_count; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.account_count IS '用户数量（-1不限制）';


--
-- Name: COLUMN sys_tenant.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.status IS '租户状态（0正常 1停用）';


--
-- Name: COLUMN sys_tenant.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.version IS '乐观锁';


--
-- Name: COLUMN sys_tenant.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_tenant.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.create_by IS '创建者';


--
-- Name: COLUMN sys_tenant.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.create_time IS '创建时间';


--
-- Name: COLUMN sys_tenant.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.update_by IS '更新者';


--
-- Name: COLUMN sys_tenant.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.update_time IS '更新时间';


--
-- Name: sys_tenant_package; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_tenant_package
(
    package_id          bigint NOT NULL,
    package_name        character varying(20)   DEFAULT ''::character varying,
    menu_ids            character varying(3000) DEFAULT ''::character varying,
    remark              character varying(200)  DEFAULT ''::character varying,
    menu_check_strictly boolean                 DEFAULT true,
    status              character(1)            DEFAULT '0'::bpchar,
    version             integer                 DEFAULT 0,
    del_flag            smallint                DEFAULT 0,
    create_by           bigint,
    create_time         timestamp without time zone,
    update_by           bigint,
    update_time         timestamp without time zone
);


ALTER TABLE public.sys_tenant_package
    OWNER TO postgres;

--
-- Name: TABLE sys_tenant_package; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_tenant_package IS '租户套餐表';


--
-- Name: COLUMN sys_tenant_package.package_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.package_id IS '租户套餐id';


--
-- Name: COLUMN sys_tenant_package.package_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.package_name IS '套餐名称';


--
-- Name: COLUMN sys_tenant_package.menu_ids; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.menu_ids IS '关联菜单id';


--
-- Name: COLUMN sys_tenant_package.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.remark IS '备注';


--
-- Name: COLUMN sys_tenant_package.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_tenant_package.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.version IS '乐观锁';


--
-- Name: COLUMN sys_tenant_package.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_tenant_package.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.create_by IS '创建者';


--
-- Name: COLUMN sys_tenant_package.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.create_time IS '创建时间';


--
-- Name: COLUMN sys_tenant_package.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.update_by IS '更新者';


--
-- Name: COLUMN sys_tenant_package.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.update_time IS '更新时间';


--
-- Name: sys_user; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user
(
    user_id     bigint                                               NOT NULL,
    tenant_id   bigint,
    dept_id     bigint,
    user_name   character varying(30)                                NOT NULL,
    nick_name   character varying(30)                                NOT NULL,
    user_type   character varying(10)  DEFAULT 'sys_user'::character varying,
    email       character varying(50)  DEFAULT ''::character varying NOT NULL,
    phonenumber character varying(11)  DEFAULT ''::character varying,
    gender      character(1)           DEFAULT '0'::bpchar,
    avatar      bigint,
    password    character varying(100) DEFAULT ''::character varying,
    status      character(1)           DEFAULT '0'::bpchar,
    version     integer                DEFAULT 0,
    del_flag    smallint               DEFAULT 0,
    login_ip    character varying(128) DEFAULT ''::character varying,
    login_date  timestamp without time zone,
    create_by   bigint,
    create_time timestamp without time zone,
    update_by   bigint,
    update_time timestamp without time zone,
    remark      character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_user
    OWNER TO postgres;

--
-- Name: TABLE sys_user; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user IS '用户信息表';


--
-- Name: COLUMN sys_user.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_id IS '用户ID';


--
-- Name: COLUMN sys_user.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_user.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.dept_id IS '部门ID';


--
-- Name: COLUMN sys_user.user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_name IS '用户账号';


--
-- Name: COLUMN sys_user.nick_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.nick_name IS '用户昵称';


--
-- Name: COLUMN sys_user.user_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_type IS '用户类型（sys_user系统用户）';


--
-- Name: COLUMN sys_user.email; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.email IS '用户邮箱';


--
-- Name: COLUMN sys_user.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.phonenumber IS '手机号码';


--
-- Name: COLUMN sys_user.gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.gender IS '用户性别（0男 1女 2未知）';


--
-- Name: COLUMN sys_user.avatar; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.avatar IS '头像地址';


--
-- Name: COLUMN sys_user.password; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.password IS '密码';


--
-- Name: COLUMN sys_user.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.status IS '帐号状态（0正常 1停用）';


--
-- Name: COLUMN sys_user.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.version IS '乐观锁';


--
-- Name: COLUMN sys_user.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_user.login_ip; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.login_ip IS '最后登陆IP';


--
-- Name: COLUMN sys_user.login_date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.login_date IS '最后登陆时间';


--
-- Name: COLUMN sys_user.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.create_by IS '创建者';


--
-- Name: COLUMN sys_user.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.create_time IS '创建时间';


--
-- Name: COLUMN sys_user.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.update_by IS '更新者';


--
-- Name: COLUMN sys_user.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.update_time IS '更新时间';


--
-- Name: COLUMN sys_user.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.remark IS '备注';


--
-- Name: sys_user_post; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user_post
(
    user_id bigint NOT NULL,
    post_id bigint NOT NULL
);


ALTER TABLE public.sys_user_post
    OWNER TO postgres;

--
-- Name: TABLE sys_user_post; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user_post IS '用户与岗位关联表';


--
-- Name: COLUMN sys_user_post.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_post.user_id IS '用户ID';


--
-- Name: COLUMN sys_user_post.post_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_post.post_id IS '岗位ID';


--
-- Name: sys_user_role; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user_role
(
    user_id bigint NOT NULL,
    role_id bigint NOT NULL
);


ALTER TABLE public.sys_user_role
    OWNER TO postgres;

--
-- Name: TABLE sys_user_role; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user_role IS '用户和角色关联表';


--
-- Name: COLUMN sys_user_role.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_role.user_id IS '用户ID';


--
-- Name: COLUMN sys_user_role.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_role.role_id IS '角色ID';


--
-- Name: demo_customer customer_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_customer
    ALTER COLUMN customer_id SET DEFAULT nextval('public.demo_customer_customer_id_seq'::regclass);


--
-- Name: demo_goods goods_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_goods
    ALTER COLUMN goods_id SET DEFAULT nextval('public.demo_goods_goods_id_seq'::regclass);


--
-- Name: demo_product product_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_product
    ALTER COLUMN product_id SET DEFAULT nextval('public.demo_product_product_id_seq'::regclass);


--
-- Name: demo_student student_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_student
    ALTER COLUMN student_id SET DEFAULT nextval('public.demo_student_student_id_seq'::regclass);


--
-- Data for Name: demo_customer; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: demo_goods; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: demo_product; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: demo_student; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: gen_table; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name,
                              tpl_category, package_name, module_name, business_name, function_name, function_author,
                              gen_type, gen_path, options, version, create_by, create_time, update_by, update_time,
                              remark)
VALUES (109840202632585216, 'mf_student', '学生信息单表', '', '', 'MfStudent', 'crud', 'com.taais.demo', 'demo', 'student',
        '学生信息单', 'km', '0', '/', '{}', 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name,
                              tpl_category, package_name, module_name, business_name, function_name, function_author,
                              gen_type, gen_path, options, version, create_by, create_time, update_by, update_time,
                              remark)
VALUES (111209285756723200, 'sys_config', '参数配置表', '', '', 'SysConfig', 'crud', 'com.taais.demo', 'demo', 'config',
        '参数配置', 'km', '0', '/', '{}', 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name,
                              tpl_category, package_name, module_name, business_name, function_name, function_author,
                              gen_type, gen_path, options, version, create_by, create_time, update_by, update_time,
                              remark)
VALUES (111213300984913920, 'demo_product', '产品树表(mb)', '', '', 'DemoProduct', 'crud', 'com.taais.demo', 'demo',
        'product', '产品树(mb)', 'km', '0', '/', '{}', 1, 1, '2024-02-03 10:22:57', 1, '2024-02-03 15:30:37.067', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name,
                              tpl_category, package_name, module_name, business_name, function_name, function_author,
                              gen_type, gen_path, options, version, create_by, create_time, update_by, update_time,
                              remark)
VALUES (111213943543898112, 'sys_dept', '部门表', '', '', 'SysDept', 'crud', 'com.taais.demo', 'demo', 'dept', '部门',
        'km', '0', '/', '{}', 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name,
                              tpl_category, package_name, module_name, business_name, function_name, function_author,
                              gen_type, gen_path, options, version, create_by, create_time, update_by, update_time,
                              remark)
VALUES (111291159158001664, 'sys_user', '用户信息表', '', '', 'SysUser', 'crud', 'com.taais.demo', 'demo', 'user',
        '用户信息', 'km', '0', '/', '{}', 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773', NULL);


--
-- Data for Name: gen_table_column; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285861580800, 111209285756723200, 'config_id', '参数主键', 'bigint', 'Long', 'configId', '1', '0', '1',
        NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285899329536, 111209285756723200, 'tenant_id', '租户编号', 'bigint', 'Long', 'tenantId', '0', '0', '1',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285928689664, 111209285756723200, 'config_name', '参数名称', 'character varying', 'String', 'configName',
        '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285932883968, 111209285756723200, 'config_key', '参数键名', 'character varying', 'String', 'configKey',
        '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285949661184, 111209285756723200, 'config_value', '参数键值', 'character varying', 'String',
        'configValue', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209285962244096, 111209285756723200, 'config_type', '系统内置（Y是 N否）', 'character', 'String', 'configType',
        '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 6, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286004187136, 111209285756723200, 'version', '乐观锁', 'integer', 'Integer', 'version', '0', '0', '1',
        NULL, '1', NULL, NULL, 'EQ', 'input', '', 7, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286008381440, 111209285756723200, 'create_by', '创建者', 'bigint', 'Long', 'createBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 8, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213301018468352, 111213300984913920, 'product_id', '产品id', 'bigint', 'Long', 'productId', '1', '1', '1',
        NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 1, 1, '2024-02-03 10:22:57', 1, '2024-02-03 15:30:37.067');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213301026856960, 111213300984913920, 'parent_id', '父产品id', 'bigint', 'Long', 'parentId', '0', '0', '1',
        '1', '1', '1', '1', 'EQ', 'input', '', 2, 1, 1, '2024-02-03 10:22:57', 1, '2024-02-03 15:30:37.067');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213301035245568, 111213300984913920, 'product_name', '产品名称', 'character varying', 'String',
        'productName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 1, 1, '2024-02-03 10:22:57', 1,
        '2024-02-03 15:30:37.067');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213301039439872, 111213300984913920, 'order_num', '显示顺序', 'integer', 'Integer', 'orderNum', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 1, 1, '2024-02-03 10:22:57', 1, '2024-02-03 15:30:37.067');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213301043634176, 111213300984913920, 'status', '产品状态（0正常 1停用）', 'character', 'String', 'status', '0',
        '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 1, 1, '2024-02-03 10:22:57', 1, '2024-02-03 15:30:37.067');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943560675328, 111213943543898112, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '1', '0', '1', NULL,
        '1', '1', NULL, 'EQ', 'input', '', 1, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943564869632, 111213943543898112, 'tenant_id', '租户编号', 'bigint', 'Long', 'tenantId', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943569063936, 111213943543898112, 'parent_id', '父部门ID', 'bigint', 'Long', 'parentId', '0', '0', '1',
        '1', '1', '1', '1', 'EQ', 'input', '', 3, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943573258240, 111213943543898112, 'ancestors', '祖级列表', 'character varying', 'String', 'ancestors',
        '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 1, 1, '2024-02-03 10:25:30', 1,
        '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943577452544, 111213943543898112, 'dept_name', '部门名称', 'character varying', 'String', 'deptName', '0',
        '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943581646848, 111213943543898112, 'order_num', '显示顺序', 'integer', 'Integer', 'orderNum', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943590035456, 111213943543898112, 'leader', '负责人', 'character varying', 'String', 'leader', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943594229760, 111213943543898112, 'phone', '联系电话', 'character varying', 'String', 'phone', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943598424064, 111213943543898112, 'email', '邮箱', 'character varying', 'String', 'email', '0', '0', '1',
        '1', '1', '1', '1', 'EQ', 'input', '', 9, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943602618368, 111213943543898112, 'status', '部门状态（0正常 1停用）', 'character', 'String', 'status', '0',
        '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 10, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943606812672, 111213943543898112, 'version', '乐观锁', 'integer', 'Integer', 'version', '0', '0', '1',
        NULL, '1', NULL, NULL, 'EQ', 'input', '', 11, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943606812673, 111213943543898112, 'del_flag', '删除标志（0代表存在 1代表删除）', 'smallint', 'Integer',
        'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 12, 1, 1, '2024-02-03 10:25:30', 1,
        '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202657751040, 109840202632585216, 'student_id', '编号', 'bigint', 'Long', 'studentId', '1', '0', '1',
        NULL, '1', '1', NULL, 'EQ', 'input', '', 1, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202666139648, 109840202632585216, 'tenant_id', '租户编码', 'bigint', 'Long', 'tenantId', '0', '0', '1',
        NULL, NULL, NULL, '1', 'EQ', 'input', '', 2, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202670333952, 109840202632585216, 'student_name', '学生名称', 'character varying', 'String',
        'studentName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202691305472, 109840202632585216, 'student_age', '年龄', 'integer', 'Integer', 'studentAge', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202699694080, 109840202632585216, 'student_hobby', '爱好（0代码 1音乐 2电影）', 'character varying',
        'String', 'studentHobby', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 1, 1, '2024-01-30 15:26:45',
        1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202703888384, 109840202632585216, 'student_gender', '性别（1男 2女 3未知）', 'character', 'String',
        'studentGender', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 6, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202712276992, 109840202632585216, 'student_status', '状态（0正常 1停用）', 'character', 'String',
        'studentStatus', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202720665600, 109840202632585216, 'student_birthday', '生日', 'timestamp without time zone', 'Date',
        'studentBirthday', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 8, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202729054208, 109840202632585216, 'version', '乐观锁', 'integer', 'Integer', 'version', '0', '0', '1',
        NULL, '1', NULL, NULL, 'EQ', 'input', '', 9, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202737442816, 109840202632585216, 'del_flag', '逻辑删除标志（0代表存在 1代表删除）', 'smallint', 'Integer',
        'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202741637120, 109840202632585216, 'create_by', '创建者', 'bigint', 'Long', 'createBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 11, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202745831424, 109840202632585216, 'create_time', '创建时间', 'timestamp without time zone', 'Date',
        'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 12, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202754220032, 109840202632585216, 'update_by', '更新者', 'bigint', 'Long', 'updateBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 13, 1, 1, '2024-01-30 15:26:45', 1, '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (109840202762608640, 109840202632585216, 'update_time', '更新时间', 'timestamp without time zone', 'Date',
        'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 1, 1, '2024-01-30 15:26:45', 1,
        '2024-02-03 15:04:59.278');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286012575744, 111209285756723200, 'create_time', '创建时间', 'timestamp without time zone', 'Date',
        'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286016770048, 111209285756723200, 'update_by', '更新者', 'bigint', 'Long', 'updateBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 10, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286020964352, 111209285756723200, 'update_time', '更新时间', 'timestamp without time zone', 'Date',
        'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 1, 1, '2024-02-03 10:06:59', 1,
        '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111209286029352960, 111209285756723200, 'remark', '备注', 'character varying', 'String', 'remark', '0', '0',
        '1', '1', '1', '1', NULL, 'EQ', 'input', '', 12, 1, 1, '2024-02-03 10:06:59', 1, '2024-02-03 15:11:38.336');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943611006976, 111213943543898112, 'create_by', '创建者', 'bigint', 'Long', 'createBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 13, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943623589888, 111213943543898112, 'create_time', '创建时间', 'timestamp without time zone', 'Date',
        'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 14, 1, 1, '2024-02-03 10:25:30', 1,
        '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943627784192, 111213943543898112, 'update_by', '更新者', 'bigint', 'Long', 'updateBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 15, 1, 1, '2024-02-03 10:25:30', 1, '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111213943631978496, 111213943543898112, 'update_time', '更新时间', 'timestamp without time zone', 'Date',
        'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 16, 1, 1, '2024-02-03 10:25:30', 1,
        '2024-02-03 15:30:42.3');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159359328256, 111291159158001664, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '1', '0', '1', NULL,
        '1', '1', NULL, 'EQ', 'input', '', 1, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159367716864, 111291159158001664, 'tenant_id', '租户编号', 'bigint', 'Long', 'tenantId', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 2, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159376105472, 111291159158001664, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '0', '0', '1', '1',
        '1', '1', '1', 'EQ', 'input', '', 3, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159384494080, 111291159158001664, 'user_name', '用户账号', 'character varying', 'String', 'userName', '0',
        '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159388688384, 111291159158001664, 'nick_name', '用户昵称', 'character varying', 'String', 'nickName', '0',
        '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159397076992, 111291159158001664, 'user_type', '用户类型（sys_user系统用户）', 'character varying',
        'String', 'userType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 6, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159401271296, 111291159158001664, 'email', '用户邮箱', 'character varying', 'String', 'email', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159413854208, 111291159158001664, 'phonenumber', '手机号码', 'character varying', 'String', 'phonenumber',
        '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159418048512, 111291159158001664, 'gender', '用户性别（0男 1女 2未知）', 'character', 'String', 'gender',
        '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', 'sys_user_gender', 9, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159426437120, 111291159158001664, 'avatar', '头像地址', 'bigint', 'Long', 'avatar', '0', '0', '1', '1',
        '1', '1', '1', 'EQ', 'input', '', 10, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159434825728, 111291159158001664, 'password', '密码', 'character varying', 'String', 'password', '0', '0',
        '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159443214336, 111291159158001664, 'status', '帐号状态（0正常 1停用）', 'character', 'String', 'status', '0',
        '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 12, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159451602944, 111291159158001664, 'version', '乐观锁', 'integer', 'Integer', 'version', '0', '0', '1',
        NULL, '1', NULL, NULL, 'EQ', 'input', '', 13, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159455797248, 111291159158001664, 'del_flag', '删除标志（0代表存在 1代表删除）', 'smallint', 'Integer',
        'delFlag', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'input', '', 14, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159464185856, 111291159158001664, 'login_ip', '最后登陆IP', 'character varying', 'String', 'loginIp', '0',
        '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159472574464, 111291159158001664, 'login_date', '最后登陆时间', 'timestamp without time zone', 'Date',
        'loginDate', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'datetime', '', 16, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159476768768, 111291159158001664, 'create_by', '创建者', 'bigint', 'Long', 'createBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 17, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159480963072, 111291159158001664, 'create_time', '创建时间', 'timestamp without time zone', 'Date',
        'createTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 18, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159489351680, 111291159158001664, 'update_by', '更新者', 'bigint', 'Long', 'updateBy', '0', '0', '0',
        NULL, NULL, NULL, NULL, 'EQ', 'input', '', 19, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159493545984, 111291159158001664, 'update_time', '更新时间', 'timestamp without time zone', 'Date',
        'updateTime', '0', '0', '0', NULL, NULL, NULL, NULL, 'EQ', 'datetime', '', 20, 1, 1, '2024-02-03 15:32:20', 1,
        '2024-02-03 15:32:34.773');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type,
                                     java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list,
                                     is_query, query_type, html_type, dict_type, sort, version, create_by, create_time,
                                     update_by, update_time)
VALUES (111291159506128896, 111291159158001664, 'remark', '备注', 'character varying', 'String', 'remark', '0', '0',
        '1', '1', '1', '1', NULL, 'EQ', 'input', '', 21, 1, 1, '2024-02-03 15:32:20', 1, '2024-02-03 15:32:34.773');


--
-- Data for Name: mf_customer; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: mf_goods; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: mf_product; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: mf_student; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_app_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.pj_app_info (id, app_name, current_server, gmt_create, gmt_modified, password)
VALUES (1, 'taais-worker', '127.0.0.1:10010', '2023-06-13 16:32:59.263', '2023-12-04 17:25:49.798', '123456');


--
-- Data for Name: pj_container_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_instance_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_job_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy,
                                execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit,
                                job_description, job_name, job_params, lifecycle, log_config, max_instance_num,
                                max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time,
                                notify_user_ids, processor_info, processor_type, status, tag, task_retry_num,
                                time_expression, time_expression_type)
VALUES (1, '{"alertThreshold":0,"silenceWindowLen":0,"statisticWindowLen":0}', 1, 5, '', 2, 1, NULL,
        '2023-06-02 15:01:27.717', '2023-07-04 17:22:12.374', 1, 0, '', '单机处理器执行测试', NULL, '{}', '{"type":1}',
        0, 0, 0, 0, 0, NULL, NULL, 'com.taais.job.processors.StandaloneProcessorDemo', 1, 2, NULL, 1, '30000', 3);
INSERT INTO public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy,
                                execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit,
                                job_description, job_name, job_params, lifecycle, log_config, max_instance_num,
                                max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time,
                                notify_user_ids, processor_info, processor_type, status, tag, task_retry_num,
                                time_expression, time_expression_type)
VALUES (2, '{"alertThreshold":0,"silenceWindowLen":0,"statisticWindowLen":0}', 1, 5, '', 1, 2, NULL,
        '2023-06-02 15:04:45.342', '2023-07-04 17:22:12.816', 0, 0, NULL, '广播处理器测试', NULL, '{}', '{"type":1}', 0,
        0, 0, 0, 0, NULL, NULL, 'com.taais.job.processors.BroadcastProcessorDemo', 1, 2, NULL, 1, '30000', 3);
INSERT INTO public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy,
                                execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit,
                                job_description, job_name, job_params, lifecycle, log_config, max_instance_num,
                                max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time,
                                notify_user_ids, processor_info, processor_type, status, tag, task_retry_num,
                                time_expression, time_expression_type)
VALUES (3, '{"alertThreshold":0,"silenceWindowLen":0,"statisticWindowLen":0}', 1, 5, '', 1, 4, NULL,
        '2023-06-02 15:13:23.519', '2023-06-02 16:03:22.421', 0, 0, NULL, 'Map处理器测试', NULL, '{}', '{"type":1}', 0,
        0, 0, 0, 0, NULL, NULL, 'com.taais.job.processors.MapProcessorDemo', 1, 2, NULL, 1, '1000', 3);
INSERT INTO public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy,
                                execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit,
                                job_description, job_name, job_params, lifecycle, log_config, max_instance_num,
                                max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time,
                                notify_user_ids, processor_info, processor_type, status, tag, task_retry_num,
                                time_expression, time_expression_type)
VALUES (4, '{"alertThreshold":0,"silenceWindowLen":0,"statisticWindowLen":0}', 1, 5, '', 1, 3, NULL,
        '2023-06-02 15:45:25.896', '2023-06-02 16:03:23.125', 0, 0, NULL, 'MapReduce处理器测试', NULL, '{}',
        '{"type":1}', 0, 0, 0, 0, 0, NULL, NULL, 'com.taais.job.processors.MapReduceProcessorDemo', 1, 2, NULL, 1,
        '1000', 3);


--
-- Data for Name: pj_oms_lock; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_server_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_user_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_workflow_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_workflow_instance_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: pj_workflow_node_info; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: sys_client; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_client (id, client_id, client_key, client_secret, grant_type, device_type, active_timeout,
                               timeout, status, version, del_flag, create_by, create_time, update_by, update_time)
VALUES (1, 'e5cd7e4891bf95d1d19206ce24a7b32e', 'pc', 'pc123', 'password,social', 'pc', 1800, 604800, '0', 0, 0, 1,
        '2024-01-22 11:09:12.997334', 1, '2024-01-22 11:09:12.997334');
INSERT INTO public.sys_client (id, client_id, client_key, client_secret, grant_type, device_type, active_timeout,
                               timeout, status, version, del_flag, create_by, create_time, update_by, update_time)
VALUES (2, '428a8310cd442757ae699df5d894f051', 'app', 'app123', 'password,sms,social', 'android', 1800, 604800, '0', 0,
        0, 1, '2024-01-22 11:09:12.997334', 1, '2024-01-22 11:09:12.997334');


--
-- Data for Name: sys_config; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version,
                               create_by, create_time, update_by, update_time, remark)
VALUES (1, 0, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 0, 1, '2024-01-22 11:09:12.997334',
        NULL, NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version,
                               create_by, create_time, update_by, update_time, remark)
VALUES (2, 0, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 0, 1, '2024-01-22 11:09:12.997334', NULL,
        NULL, '初始化密码 123456');
INSERT INTO public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version,
                               create_by, create_time, update_by, update_time, remark)
VALUES (3, 0, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 0, 1, '2024-01-22 11:09:12.997334', NULL,
        NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version,
                               create_by, create_time, update_by, update_time, remark)
VALUES (5, 0, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 0, 1,
        '2024-01-22 11:09:12.997334', NULL, NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version,
                               create_by, create_time, update_by, update_time, remark)
VALUES (6, 0, 'OSS预览列表资源开关', 'sys.oss.previewListResource', 'true', 'Y', 0, 1, '2024-01-22 11:09:12.997334',
        NULL, NULL, 'true:开启, false:关闭');


--
-- Data for Name: sys_dept; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_dept (dept_id, tenant_id, parent_id, ancestors, dept_name, order_num, leader, phone, email,
                             status, version, del_flag, create_by, create_time, update_by, update_time)
VALUES (108150551736287232, 0, 1, '0,1', 'test2', 22, 'asd', '', NULL, '0', 1, 0, 1, '2024-01-25 23:32:40', 1,
        '2024-01-30 15:27:49.969');
INSERT INTO public.sys_dept (dept_id, tenant_id, parent_id, ancestors, dept_name, order_num, leader, phone, email,
                             status, version, del_flag, create_by, create_time, update_by, update_time)
VALUES (1, 0, 0, '0', 'KM', 0, 'km', '18888888888', '1234@foxmail.com', '0', 1, 0, 1,
        '2023-06-03 21:32:28', 1, '2024-01-30 15:27:50.035');


--
-- Data for Name: sys_dict_data; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (1, 0, 1, '男', '0', 'sys_user_gender', '', '', 'Y', 0, 1, '2023-06-03 21:32:30', 1, '2023-09-20 09:53:27',
        '性别男');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (2, 0, 2, '女', '1', 'sys_user_gender', '', '', 'N', 0, 1, '2023-06-03 21:32:30', 1, '2023-09-20 09:53:27',
        '性别女');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (3, 0, 3, '未知', '2', 'sys_user_gender', '', '', 'N', 0, 1, '2023-06-03 21:32:30', 1, '2023-09-20 09:53:27',
        '性别未知');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (4, 0, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL, '显示菜单');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (5, 0, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '隐藏菜单');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (6, 0, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '正常状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (7, 0, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '停用状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (8, 0, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL, '正常状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (9, 0, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '停用状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (10, 0, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL, '默认分组');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (11, 0, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '系统分组');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (12, 0, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL, '系统默认是');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (13, 0, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '系统默认否');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (14, 0, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL, '通知');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (15, 0, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '公告');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (16, 0, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '正常状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (17, 0, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '关闭状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (18, 0, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '其他操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (19, 0, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '新增操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (20, 0, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '修改操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (21, 0, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '删除操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (22, 0, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '授权操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (23, 0, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '导出操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (24, 0, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '导入操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (25, 0, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL, '强退操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (26, 0, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '生成操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (27, 0, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '清空操作');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (28, 0, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '正常状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (29, 0, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', 0, 1, '2023-06-03 21:32:30', 1, NULL,
        '停用状态');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (30, 0, 1, '密码认证', 'password', 'sys_grant_type', 'el-check-tag', 'default', 'N', 0, 1, '2023-10-21 11:10:51',
        1, '2023-10-21 11:10:51', '密码认证');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (31, 0, 2, '短信认证', 'sms', 'sys_grant_type', 'el-check-tag', 'default', 'N', 0, 1, '2023-10-21 11:10:51', 1,
        '2023-10-21 11:10:51', '短信认证');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (32, 0, 3, '邮件认证', 'email', 'sys_grant_type', 'el-check-tag', 'default', 'N', 0, 1, '2023-10-21 11:10:51', 1,
        '2023-10-21 11:10:51', '邮件认证');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (33, 0, 4, '小程序认证', 'xcx', 'sys_grant_type', 'el-check-tag', 'default', 'N', 0, 1, '2023-10-21 11:10:51', 1,
        '2023-10-21 11:10:51', '小程序认证');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (34, 0, 5, '三方登录认证', 'social', 'sys_grant_type', 'el-check-tag', 'default', 'N', 0, 1,
        '2023-10-21 11:10:51', 1, '2023-10-21 11:10:51', '三方登录认证');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (35, 0, 1, 'PC', 'pc', 'sys_device_type', '', 'default', 'N', 0, 1, '2023-10-21 11:41:10', 1,
        '2023-10-21 11:41:10', 'PC');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (36, 0, 2, '安卓', 'android', 'sys_device_type', '', 'default', 'N', 0, 1, '2023-10-21 11:41:10', 1,
        '2023-10-21 11:41:10', '安卓');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (37, 0, 3, 'iOS', 'ios', 'sys_device_type', '', 'default', 'N', 0, 1, '2023-10-21 11:41:10', 1,
        '2023-10-21 11:41:10', 'iOS');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (38, 0, 4, '小程序', 'xcx', 'sys_device_type', '', 'default', 'N', 0, 1, '2023-10-21 11:41:10', 1,
        '2023-10-21 11:41:10', '小程序');
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (100, 0, 0, '正常', '0', 'sys_student_status', NULL, 'primary', 'N', 0, 1, '2023-06-03 21:53:50', 1,
        '2023-06-03 21:55:24', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (101, 0, 0, '停用', '1', 'sys_student_status', NULL, 'danger', 'N', 0, 1, '2023-06-03 21:54:11', 1,
        '2023-06-03 21:55:31', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (102, 0, 0, '代码', '0', 'sys_student_hobby', NULL, 'primary', 'N', 0, 1, '2023-06-04 16:40:02', 1, NULL, NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (103, 0, 0, '音乐', '1', 'sys_student_hobby', NULL, 'success', 'N', 0, 1, '2023-06-04 16:40:24', 1, NULL, NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (104, 0, 0, '电影', '2', 'sys_student_hobby', NULL, 'warning', 'N', 0, 1, '2023-06-04 16:40:40', 1,
        '2023-06-04 16:40:49', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (105, 0, 0, '计算机', '1', 'sys_goods_type', NULL, 'primary', 'N', 0, 1, '2023-06-05 07:23:48', 1, NULL, NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (106, 0, 0, '打印设备', '2', 'sys_goods_type', NULL, 'success', 'N', 0, 1, '2023-06-05 07:24:14', 1, NULL, NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (107, 0, 3, '衣服', '3', 'sys_goods_type', NULL, 'info', 'N', 0, 1, '2023-06-05 07:24:35', 1, NULL, NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (111, 0, 4, '网络设备', '4', 'sys_goods_type', NULL, 'default', NULL, 0, 1, '2023-09-19 17:31:46', 1,
        '2023-09-19 17:31:46', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (65923231885905920, 0, 1, '桌面微机', 'PC', 'sys_app_type', NULL, 'default', 'N', 0, 1, '2023-10-01 10:56:23', 1,
        '2023-10-01 10:56:23', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (65923379802230784, 0, 2, '平板', 'pad', 'sys_app_type', NULL, 'default', 'N', 0, 1, '2023-10-01 10:56:59', 1,
        '2023-10-01 10:56:59', NULL);
INSERT INTO public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class,
                                  list_class, is_default, version, create_by, create_time, update_by, update_time,
                                  remark)
VALUES (65923470604718080, 0, 3, '手机', 'phone', 'sys_app_type', NULL, 'default', 'N', 0, 1, '2023-10-01 10:57:20', 1,
        '2023-10-01 10:57:20', NULL);


--
-- Data for Name: sys_dict_type; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (1, 0, '用户性别', 'sys_user_gender', 0, 1, '2023-06-03 21:32:30', 1, '2023-09-20 09:53:27', '用户性别列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (2, 0, '菜单状态', 'sys_show_hide', 0, 1, '2023-06-03 21:32:30', 1, NULL, '菜单状态列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (3, 0, '系统开关', 'sys_normal_disable', 0, 1, '2023-06-03 21:32:30', 1, NULL, '系统开关列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (4, 0, '任务状态', 'sys_job_status', 0, 1, '2023-06-03 21:32:30', 1, NULL, '任务状态列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (5, 0, '任务分组', 'sys_job_group', 0, 1, '2023-06-03 21:32:30', 1, NULL, '任务分组列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (6, 0, '系统是否', 'sys_yes_no', 0, 1, '2023-06-03 21:32:30', 1, NULL, '系统是否列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (7, 0, '通知类型', 'sys_notice_type', 0, 1, '2023-06-03 21:32:30', 1, NULL, '通知类型列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (8, 0, '通知状态', 'sys_notice_status', 0, 1, '2023-06-03 21:32:30', 1, NULL, '通知状态列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (9, 0, '操作类型', 'sys_oper_type', 0, 1, '2023-06-03 21:32:30', 1, NULL, '操作类型列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (10, 0, '系统状态', 'sys_common_status', 0, 1, '2023-06-03 21:32:30', 1, NULL, '登录状态列表');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (11, 0, '授权类型', 'sys_grant_type', 0, 1, '2023-10-21 11:06:33', 1, '2023-10-21 11:06:33', '认证授权类型');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (12, 0, '设备类型', 'sys_device_type', 0, 1, '2023-10-21 11:38:41', 1, '2023-10-21 11:38:41', '客户端设备类型');
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (100, 0, '学生状态', 'sys_student_status', 0, 1, '2023-06-03 21:52:47', 1, '2023-06-03 21:53:09', NULL);
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (101, 0, '爱好', 'sys_student_hobby', 0, 1, '2023-06-04 16:39:16', 1, NULL, NULL);
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (102, 0, '商品种类', 'sys_goods_type', 0, 1, '2023-06-05 07:23:20', 1, NULL, NULL);
INSERT INTO public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by,
                                  update_time, remark)
VALUES (65922863223361536, 0, '系统类型', 'sys_app_type', 0, 1, '2023-10-01 10:54:55', 1, '2023-10-01 10:54:55',
        '系统类型列表');

--
-- Data for Name: sys_menu; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (501, '登录日志', 108, 2, '/monitor/logininfor', 'monitor/logininfor/index', NULL, '', '1', '0', 'C', '0', '0',
        'monitor:logininfor:list', 'logininfor', 0, 1, '2023-06-03 21:32:29', 1, NULL, '登录日志菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (102, '菜单管理', 1, 3, '/system/menu', 'system/menu/index', NULL, '', '1', '0', 'C', '0', '0',
        'system:menu:list', 'tree-table', 0, 1, '2023-06-03 21:32:28', 1, NULL, '菜单管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1011, '角色导出', 101, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:role:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (118, '文件管理', 1, 10, '/system/oss', 'system/oss/index', NULL, '', '1', '0', 'C', '0', '0', 'system:oss:list',
        'upload', 0, 1, '2023-12-03 08:46:11', 1, '2023-12-03 08:46:11', '文件管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1022, '岗位修改', 104, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:post:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1016, '部门查询', 103, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dept:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1018, '部门修改', 103, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dept:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1020, '岗位查询', 104, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:post:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1010, '角色删除', 101, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:role:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (105, '字典管理', 1, 6, '/system/dict', 'system/dict/index', NULL, '', '1', '0', 'C', '0', '0',
        'system:dict:list', 'dict', 0, 1, '2023-06-03 21:32:28', 1, NULL, '字典管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1007, '角色查询', 101, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:role:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1029, '字典导出', 105, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dict:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1015, '菜单删除', 102, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:menu:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1014, '菜单修改', 102, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:menu:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1013, '菜单新增', 102, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:menu:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1023, '岗位删除', 104, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:post:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1012, '菜单查询', 102, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:menu:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (108, '日志管理', 1, 9, 'log', '', NULL, '', '1', '0', 'M', '0', '0', '', 'log', 0, 1, '2023-06-03 21:32:28', 1,
        NULL, '日志管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1, '系统管理', 0, 1, 'system', NULL, NULL, '', '1', '0', 'M', '0', '0', '', 'system', 0, 1,
        '2023-06-03 21:32:28', 1, NULL, '系统管理目录');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (101, '角色管理', 1, 2, '/system/role', 'system/role/index', NULL, '', '1', '0', 'C', '0', '0',
        'system:role:list', 'peoples', 0, 1, '2023-06-03 21:32:28', 1, NULL, '角色管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (500, '操作日志', 108, 1, '/monitor/operlog', 'monitor/operlog/index', NULL, '', '1', '0', 'C', '0', '0',
        'monitor:operlog:list', 'form', 0, 1, '2023-06-03 21:32:29', 1, NULL, '操作日志菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (116, '代码生成', 3, 2, '/tool/gen', 'tool/gen/index', NULL, '', '1', '0', 'C', '0', '0', 'tool:gen:list',
        'code', 0, 1, '2023-06-03 21:32:28', 1, NULL, '代码生成菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (104, '岗位管理', 1, 5, '/system/post', 'system/post/index', NULL, '', '1', '0', 'C', '0', '0',
        'system:post:list', 'post', 0, 1, '2023-06-03 21:32:28', 1, NULL, '岗位管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1024, '岗位导出', 104, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:post:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (103, '部门管理', 1, 4, '/system/dept', 'system/dept/index', NULL, '', '1', '0', 'C', '0', '0',
        'system:dept:list', 'tree', 0, 1, '2023-06-03 21:32:28', 1, NULL, '部门管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1017, '部门新增', 103, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dept:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1021, '岗位新增', 104, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:post:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1019, '部门删除', 103, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dept:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1009, '角色修改', 101, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:role:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1025, '字典查询', 105, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dict:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1026, '字典新增', 105, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dict:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1027, '字典修改', 105, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dict:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1028, '字典删除', 105, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:dict:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1039, '操作查询', 500, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:operlog:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (3, '系统工具', 0, 4, 'tool', NULL, NULL, '', '1', '0', 'M', '0', '0', '', 'tool', 0, 1, '2023-06-03 21:32:28',
        1, '2023-12-27 21:27:08.258', '系统工具目录');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1040, '操作删除', 500, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:operlog:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1041, '日志导出', 500, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:operlog:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1042, '登录查询', 501, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:logininfor:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1043, '登录删除', 501, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:logininfor:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1044, '日志导出', 501, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:logininfor:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1045, '账户解锁', 501, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'monitor:logininfor:unlock', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1000, '用户查询', 100, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1055, '生成查询', 116, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:query', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1056, '生成修改', 116, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1057, '生成删除', 116, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1001, '用户新增', 100, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1002, '用户修改', 100, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:edit', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1003, '用户删除', 100, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:remove', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1004, '用户导出', 100, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:export', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1005, '用户导入', 100, 6, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:import', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1006, '重置密码', 100, 7, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:user:resetPwd', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1058, '导入代码', 116, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:import', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1059, '预览代码', 116, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:preview', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1060, '生成代码', 116, 6, '', '', NULL, '', '1', '0', 'F', '0', '0', 'tool:gen:code', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1008, '角色新增', 101, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:role:add', '', 0, 1,
        '2023-06-03 21:32:29', 1, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1600, '文件查询', 118, 1, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:oss:query', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1601, '文件上传', 118, 2, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:oss:upload', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1602, '文件下载', 118, 3, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:oss:download', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1603, '文件删除', 118, 4, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:oss:remove', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1620, '配置列表', 118, 5, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:ossConfig:list', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1621, '配置添加', 118, 6, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:ossConfig:add', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1622, '配置编辑', 118, 6, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:ossConfig:edit', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1623, '配置删除', 118, 6, '', '', NULL, '', '1', '0', 'F', '0', '0', 'system:ossConfig:remove', '', 0, 1,
        '2023-12-25 15:09:14.342224', NULL, NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param,
                             is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (100, '用户管理', 1, 1, '/system/user', 'system/user/index', 'User', '', '1', '0', 'C', '0', '0',
        'system:user:list', 'Aim', 6, 1, '2023-06-03 21:32:28', 1, '2024-02-03 17:54:57.296', '用户管理菜单');

--
-- Data for Name: sys_post; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (1, 0, 'ceo', '董事长', 1, '0', 0, 1, '2023-06-03 21:32:28', 1, '2023-09-02 15:43:55', '');
INSERT INTO public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (2, 0, 'se', '项目经理', 2, '0', 0, 1, '2023-06-03 21:32:28', 1, NULL, '');
INSERT INTO public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (3, 0, 'hr', '人力资源', 3, '0', 0, 1, '2023-06-03 21:32:28', 1, NULL, '');
INSERT INTO public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (4, 0, 'users', '普通员工', 4, '0', 0, 1, '2023-06-03 21:32:28', 1, '2023-07-13 21:30:24', '');
INSERT INTO public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by,
                             create_time, update_by, update_time, remark)
VALUES (5, 0, 'deptLeader', '部门管理岗', 5, '0', 0, 1, '2023-10-01 10:33:39', 1, '2023-10-01 10:33:39',
        '部门负责人岗位');


--
-- Data for Name: sys_role; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_role (role_id, tenant_id, role_name, role_key, role_sort, data_scope, menu_check_strictly,
                             dept_check_strictly, status, version, del_flag, create_by, create_time, update_by,
                             update_time, remark)
VALUES (1, 0, '超级管理员角色', 'admin', 1, '1', true, true, '0', 0, 0, 1, '2023-06-03 21:32:28', 1, NULL,
        '超级管理员');


--
-- Data for Name: sys_role_dept; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: sys_role_menu; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: sys_tenant; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_tenant (tenant_id, contact_user_name, contact_phone, company_name, license_number, address,
                               intro, domain, remark, package_id, expire_time, account_count, status, version, del_flag,
                               create_by, create_time, update_by, update_time)
VALUES (0, '联系人', '18888888888', 'KM', NULL, NULL, '多租户通用后台管理管理系统', NULL, NULL,
        NULL, NULL, -1, '0', 0, 0, 1, '2023-08-13 08:08:08', NULL, NULL);


--
-- Data for Name: sys_tenant_package; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: sys_user; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO public.sys_user (user_id, tenant_id, dept_id, user_name, nick_name, user_type, email, phonenumber, gender,
                             avatar, password, status, version, del_flag, login_ip, login_date, create_by, create_time,
                             update_by, update_time, remark)
VALUES (1, 0, 1, 'superadmin', '超级管理员', 'sys_user', 'ry@163.com', '15888888888', '1', NULL,
        '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', 58, 0, '127.0.0.1',
        '2024-02-22 11:25:19.464', 1, '2023-06-03 21:32:28', 1, '2024-02-22 11:25:19.467', '管理员');


--
-- Data for Name: sys_user_post; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Data for Name: sys_user_role; Type: TABLE DATA; Schema: public; Owner: postgres
--


--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_customer_customer_id_seq', 1, false);


--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_goods_goods_id_seq', 1, false);


--
-- Name: demo_product_product_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_product_product_id_seq', 1, false);


--
-- Name: demo_student_student_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_student_student_id_seq', 1, false);


--
-- Name: demo_customer demo_customer_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_customer
    ADD CONSTRAINT demo_customer_pk PRIMARY KEY (customer_id);


--
-- Name: demo_goods demo_goods_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_goods
    ADD CONSTRAINT demo_goods_pk PRIMARY KEY (goods_id);


--
-- Name: demo_product demo_product_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_product
    ADD CONSTRAINT demo_product_pk PRIMARY KEY (product_id);


--
-- Name: demo_student demo_student_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_student
    ADD CONSTRAINT demo_student_pk PRIMARY KEY (student_id);


--
-- Name: gen_table_column gen_table_column_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.gen_table_column
    ADD CONSTRAINT gen_table_column_pk PRIMARY KEY (column_id);


--
-- Name: gen_table gen_table_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.gen_table
    ADD CONSTRAINT gen_table_pk PRIMARY KEY (table_id);


--
-- Name: mf_customer mf_customer_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_customer
    ADD CONSTRAINT mf_customer_pk PRIMARY KEY (customer_id);


--
-- Name: mf_goods mf_goods_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_goods
    ADD CONSTRAINT mf_goods_pk PRIMARY KEY (goods_id);


--
-- Name: mf_product mf_product_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_product
    ADD CONSTRAINT mf_product_pk PRIMARY KEY (product_id);


--
-- Name: mf_student mf_student_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_student
    ADD CONSTRAINT mf_student_pk PRIMARY KEY (student_id);


--
-- Name: pj_app_info pj_app_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_app_info
    ADD CONSTRAINT pj_app_info_pkey PRIMARY KEY (id);


--
-- Name: pj_container_info pj_container_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_container_info
    ADD CONSTRAINT pj_container_info_pkey PRIMARY KEY (id);


--
-- Name: pj_instance_info pj_instance_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_instance_info
    ADD CONSTRAINT pj_instance_info_pkey PRIMARY KEY (id);


--
-- Name: pj_job_info pj_job_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_job_info
    ADD CONSTRAINT pj_job_info_pkey PRIMARY KEY (id);


--
-- Name: pj_oms_lock pj_oms_lock_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_oms_lock
    ADD CONSTRAINT pj_oms_lock_pkey PRIMARY KEY (id);


--
-- Name: pj_server_info pj_server_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_server_info
    ADD CONSTRAINT pj_server_info_pkey PRIMARY KEY (id);


--
-- Name: pj_user_info pj_user_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_user_info
    ADD CONSTRAINT pj_user_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_info pj_workflow_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_info
    ADD CONSTRAINT pj_workflow_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_instance_info pj_workflow_instance_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_instance_info
    ADD CONSTRAINT pj_workflow_instance_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_node_info pj_workflow_node_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_node_info
    ADD CONSTRAINT pj_workflow_node_info_pkey PRIMARY KEY (id);


--
-- Name: sys_tenant pk_sys_tenant; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_tenant
    ADD CONSTRAINT pk_sys_tenant PRIMARY KEY (tenant_id);


--
-- Name: sys_client sys_client_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_client
    ADD CONSTRAINT sys_client_pk PRIMARY KEY (id);


--
-- Name: sys_config sys_config_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_config
    ADD CONSTRAINT sys_config_pk PRIMARY KEY (config_id);


--
-- Name: sys_dept sys_dept_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dept
    ADD CONSTRAINT sys_dept_pk PRIMARY KEY (dept_id);


--
-- Name: sys_dict_data sys_dict_data_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dict_data
    ADD CONSTRAINT sys_dict_data_pk PRIMARY KEY (dict_code);


--
-- Name: sys_dict_type sys_dict_type_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dict_type
    ADD CONSTRAINT sys_dict_type_pk PRIMARY KEY (dict_id);


--
-- Name: sys_logininfor sys_logininfor_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_logininfor
    ADD CONSTRAINT sys_logininfor_pk PRIMARY KEY (info_id);


--
-- Name: sys_menu sys_menu_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_menu
    ADD CONSTRAINT sys_menu_pk PRIMARY KEY (menu_id);


--
-- Name: sys_notice sys_notice_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_notice
    ADD CONSTRAINT sys_notice_pk PRIMARY KEY (notice_id);


--
-- Name: sys_oper_log sys_oper_log_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oper_log
    ADD CONSTRAINT sys_oper_log_pk PRIMARY KEY (oper_id);


--
-- Name: sys_oss_config sys_oss_config_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oss_config
    ADD CONSTRAINT sys_oss_config_pk PRIMARY KEY (oss_config_id);


--
-- Name: sys_oss sys_oss_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oss
    ADD CONSTRAINT sys_oss_pk PRIMARY KEY (oss_id);


--
-- Name: sys_post sys_post_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_post
    ADD CONSTRAINT sys_post_pk PRIMARY KEY (post_id);


--
-- Name: sys_role_dept sys_role_dept_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role_dept
    ADD CONSTRAINT sys_role_dept_pk PRIMARY KEY (role_id, dept_id);


--
-- Name: sys_role_menu sys_role_menu_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role_menu
    ADD CONSTRAINT sys_role_menu_pk PRIMARY KEY (role_id, menu_id);


--
-- Name: sys_role sys_role_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role
    ADD CONSTRAINT sys_role_pk PRIMARY KEY (role_id);


--
-- Name: sys_tenant_package sys_tenant_package_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_tenant_package
    ADD CONSTRAINT sys_tenant_package_pkey PRIMARY KEY (package_id);


--
-- Name: sys_user sys_user_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user
    ADD CONSTRAINT sys_user_pk PRIMARY KEY (user_id);


--
-- Name: sys_user_post sys_user_post_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user_post
    ADD CONSTRAINT sys_user_post_pk PRIMARY KEY (user_id, post_id);


--
-- Name: sys_user_role sys_user_role_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user_role
    ADD CONSTRAINT sys_user_role_pk PRIMARY KEY (user_id, role_id);


--
-- Name: pj_app_info uidx01_app_info; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_app_info
    ADD CONSTRAINT uidx01_app_info UNIQUE (app_name);


--
-- Name: pj_oms_lock uidx01_oms_lock; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_oms_lock
    ADD CONSTRAINT uidx01_oms_lock UNIQUE (lock_name);


--
-- Name: pj_server_info uidx01_server_info; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_server_info
    ADD CONSTRAINT uidx01_server_info UNIQUE (ip);


--
-- Name: pj_workflow_instance_info uidx01_wf_instance; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_instance_info
    ADD CONSTRAINT uidx01_wf_instance UNIQUE (wf_instance_id);


--
-- Name: idx01_container_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_container_info ON public.pj_container_info USING btree (app_id);


--
-- Name: idx01_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_instance_info ON public.pj_instance_info USING btree (job_id, status);


--
-- Name: idx01_job_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_job_info ON public.pj_job_info USING btree (app_id, status, time_expression_type, next_trigger_time);


--
-- Name: idx01_server_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_server_info ON public.pj_server_info USING btree (gmt_modified);


--
-- Name: idx01_wf_instance; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_wf_instance ON public.pj_workflow_instance_info USING btree (workflow_id, status, app_id, expected_trigger_time);


--
-- Name: idx01_workflow_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_workflow_info ON public.pj_workflow_info USING btree (app_id, status, time_expression_type, next_trigger_time);


--
-- Name: idx01_workflow_node_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_workflow_node_info ON public.pj_workflow_node_info USING btree (workflow_id, gmt_create);


--
-- Name: idx02_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx02_instance_info ON public.pj_instance_info USING btree (app_id, status);


--
-- Name: idx03_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx03_instance_info ON public.pj_instance_info USING btree (instance_id, status);


--
-- Name: idx_sys_logininfor_lt; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_logininfor_lt ON public.sys_logininfor USING btree (login_time);


--
-- Name: idx_sys_logininfor_s; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_logininfor_s ON public.sys_logininfor USING btree (status);


--
-- Name: idx_sys_oper_log_bt; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_bt ON public.sys_oper_log USING btree (business_type);


--
-- Name: idx_sys_oper_log_ot; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_ot ON public.sys_oper_log USING btree (oper_time);


--
-- Name: idx_sys_oper_log_s; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_s ON public.sys_oper_log USING btree (status);


--
-- Name: sys_dict_type_index1; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX sys_dict_type_index1 ON public.sys_dict_type USING btree (tenant_id, dict_type);


--
-- Name: sys_user_unqindex_tenant_username; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX sys_user_unqindex_tenant_username ON public.sys_user USING btree (tenant_id, user_name);


--
-- Name: uidx01_user_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX uidx01_user_info ON public.pj_user_info USING btree (username);


--
-- Name: uidx02_user_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX uidx02_user_info ON public.pj_user_info USING btree (email);


--
-- PostgreSQL database dump complete
--

